<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
global $inf;
$item = $this->article;
$stat_id = $this->params->get('forum_status');
$prior_id = $this->params->get('forum_priority');
$reply = $this->params->get('reply', 1);
$forum_reply = $this->params->get('forum_reply');
$params = new JParameter(@$item->params);
$document = &JFactory::getDocument();
if ($reply):
	//make sure the mootols are included
	JHTML::_('behavior.mootools');
	//small scripting for reply option
	$js = "function comment_reply(cid, auth){
		if (auth){
			auth = '<b>'+auth+'</b><br>';
		}
		else{
			auth = '';
		}
	
		comm = $(cid).innerHTML;
			ta = $('comment');
		if (ta){
			if (ta.style.display == 'none'){
				if (window.ie){
					i =  document.frames('comment_ifr');
					if (i)
						i.document.body.innerHTML = '<div class=\"forum_quote\">'+auth+'<blockquote>'+comm+'</blockquote></div><br>';
					}
				else{
					i = $('comment_ifr');
					if(i)
						i.contentDocument.body.innerHTML = '<div class=\"forum_quote\">'+auth+'<blockquote>'+comm+'</blockquote></div><br>';				
				}
			}
			else{
				ta.innerHTML = comm;
			}
		}
	return false;
	}
	window.onDomReady(function(){ new SmoothScroll({duration: 1000}); });
	";
	$document->addScriptDeclaration($js);
	$inf['reply'] = 1;
endif;

//CSS shared with article and comments templates for forum_classic
$document->addStyleDeclaration("
.forum_left{
	border-right: 1px solid gray;
	width: 180px;
}
.js_content td{
	padding: 5px;
}
.forum_author{
	background: #F6F6F6;
	width: 180px;
	height: 180px;
	-moz-border-radius: 5px; 
	-webkit-border-radius: 5px; 
	border-radius: 5px; 
}

.forum_author img{
	padding: 40px;
}

.forum_control{
	cursor: pointer;
}

.forum_reply{
	text-align: right;
}

.forum_quote{
	background: #F6F6F6;
	font-size: 99%;
	border-left: 2px solid gray;
	padding-left: 3px;
}

.forum_commentnum{
	float: right; 
	font-size: 14pt;
	padding-right: 10px;
}
.rate_minus {
	text-decoration: none; 
	font-size: 10pt;  
	color: #2F8EFF;
}
.rate_plus {
	text-decoration: none; 
	font-size: 10pt; 
	color: red;
}
.comment_rate_num{
	display:inline; 
	font-size:20px; 
	padding-top:7px; 
	vertical-align:baseline; 
	text-align: center; 
	width: 50px; 
	height: 24px;
}
.rate_dis{
	text-decoration: 
	none; font-size: 10pt;  
	color: gray; 
	cursor: pointer;
}
");


?>
<table width="100%" cellpadding="<?php echo $cellpadding; ?>" cellspacing="0" border="0">
 	<tr class="sectiontableheader">
 		<td width="30%">
 		<span class="forum_title" style="padding-left: 15px;">
 		<?php if($this->params->get('favorite') && $this->user->get('id')) echo $item->favorite;?>
 		<?php if($this->params->get('item_title')):?>
 		<h2 class="contentheading" style="display: inline;"> 
 			<?php echo  $item->title;?>
 		</h2>
 		<?php endif;?>
 		</span>
 		</td>
 		<td align="right"> 	
 		<?php
 		if(@$item->pdf || @$item->send || @$item->print):
			echo '<span style="white-space: nowrap; padding-right: 10px;" class="forum_actions">'.$item->pdf.'&nbsp;'.$item->send.'&nbsp;'.$item->print.'</span>';
 		endif;
 		?>	 
 		</td> 		
 	</tr>
 </table>
 
<table class="contentpaneopen js_content" width="100%" cellpadding="5" style="border-collapse:collapse;">
<?php 
	$item_user=null;
 	echo '<tr><td class="forum_left">';
 	if($this->params->get('item_author') && ($item->user)){
	echo $item->user;
	$item_user = $item->user;
 	}
 	?>
 	&nbsp;
 	 </td>
 	 <td align="left" colspan="2">
 	 
 		<?php if($this->params->get('item_categories')):?>
		 	<span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span><br />
 		<?php endif;?>
 		<?php if($item->user_category):?>
		 	<span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span>
 		<?php endif;?>
		<?php		
 		if(($ctime = $this->params->get('item_ctime'))):
 			echo '<span class="createdate" style="white-space: nowrap;">'.$item->ctime->toFormat($this->params->get('item_time_format')).'</span>';
 		endif;
 		
 		if(($extime = ($this->params->get('item_extime') && $item->extime))):
 			if ($ctime) echo "<span class='small'>&nbsp;|&nbsp;</span>";
 			echo '<span class="small" style="white-space: nowrap;">'.JText::_('Expired').'&nbsp;('.$item->extime->toFormat($this->params->get('item_time_format')).')</span>';
		endif;
		?> 			 		
	 	<?php if($this->params->get('item_mtime') && $item->mtime):
	 		if ($ctime || $extime) echo "<span class='small'>&nbsp;|&nbsp;</span>";?>
	 		<span class="small"><?php echo JText::_('Modified')?> (<?php echo $item->mtime->toFormat($this->params->get('item_time_format'));?>)</span>
		<?php endif;
 	echo '</td></tr>';
 		
	$rs = count($item->fields)+1;
	$stat = $prior = false;
	 	//Status && Priority
 	if(($stat_id || $prior_id)){
 		$obj_stat = null;
 		foreach ($item->fields as $f) {
 		if ($f->fid == $stat_id) {
 			$obj_stat = & $f;
 			$stat = $obj_stat->result;
			$obj_stat->result = null;
 			$rs--;
 			}
 		if ($f->fid == $prior_id) {
 			$obj_prior = & $f;
 			$prior = $obj_prior->result;
			$obj_prior->result = null;
 			$rs--;
 			}
 		}
 	}
 		
	echo "<tr><td rowspan=\"$rs\" valign = 'top' class='forum_left'>";
			
	if($avatar = $this->params->get('item_avatar') || ($this->params->get('item_author') && isset($item->user))):
	echo '<div class="forum_author">';
		if($avatar)
			echo $item->avatar;
	echo '</div>';
	endif;
	if($this->params->get('rating')):
		echo '<div class="forum_rate">'.$item->rating."</div>";
		echo "<div style=\"clear: both;\">&nbsp;</div>";
		endif;
		
	if($prior || $stat):
	echo '<div class="status" style="padding-bottom: 5px">';
	//Render Priority
 			if ($obj_prior){
			 	echo $prior;
 			}
// 			else
//		 		echo 'Check configuration!';
		 		
 	//Render Status
		 	if ($obj_stat){
		 		if ($obj_prior) echo "<span class='small'>&nbsp;|&nbsp;</span>";	
			 	echo $stat;
 			}
// 			else
//		 		echo 'Check configuration!';
	echo '</div>';		 	
	 	endif;
	 	
 		
	 	if($this->params->get('item_hits'))
	 		echo "<br><span class='small'>".JText::_('Views').': ('.($item->hits ? $item->hits : 0).")</span>"; 
	 		 	
	 	if($this->params->get('comments'))
	 		echo "<br><span class='small'>".JText::_('Replies').': ('.($item->comments ? $item->comments : 0).")</span>";
	 	
	 	if($this->params->get('rating'))
	 		echo "<br>"."<span class=\"small\">".JText::_('Votes').": (".($item->votes ? $item->votes : 0).")</span>";
	 		
	 	if($this->params->get('favorite'))
	 		echo "<br>"."<span class=\"small\">".JText::_('Favorited').": (".($item->favorite_num ? $item->favorite_num : 0).")</span>";
	 	
		echo "</td></tr>";
	
	$tab_close = false;
		foreach($item->fields AS $field){
			$fparam = new JParameter($field->params);
			if ($field->fid == $forum_reply){
				$field->result = '<div id="forum_reply">'.$field->result.'</div>';
			}
			echo $this->getFieldValue($field, $item->user_id);
		}?>
		 <tr>
		 		<td class='forum_left'>
		 			<?php 
		 			if($item->edit):
 						echo '<span class="forum_controls">'.$item->edit.'&nbsp;</span>';
 					endif;
		 			?>
		 		</td>
		 		<td>
		<?php if($this->params->get('item_tag') && $item->tags):?>
		 			<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
 		<?php endif;?>
		 		</td>
		 		<td class="forum_reply">
		 			<?php if ($reply && $forum_reply):?>
		 			<?php 
		 				$usr_del = stristr($item_user, '</a>');
				 		$usr = str_replace($usr_del, null, $item_user);
				 		$usr = strip_tags($usr);
				 		$usr = trim($usr);
				 		$usr = addslashes($usr);
		 			?>
					<a href="#comment_form" onclick="comment_reply('forum_reply', '<?php echo $usr; ?>')" title="<?php echo JText::_('Reply'); ?>"><?php echo JText::_('Reply'); ?></a>
					<?php endif;?>
		 		</td>
		 	</tr>
<?php if(!$tab_close) echo "</table>"; ?>