<?php
/*
*	Mighty Resources Template
*
*	Name: ' Shock '
*	Type: Article Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$css = "
.jsc_clr {
	clear:both;
	}
#jsc_maindiv table.contentpaneopen {
	margin:0;
	padding:0;
	}
#jsc_leftbody {
	padding-right:4px;
	border-right:1px solid #c7c7c7;
	}
#jsc_maindiv .contentheading {
	height:auto;
	padding:0;
	}
#jsc_maintable {
	margin-left:8px;
	margin-right:8px;
	padding-top:12px;
	}
#jsc_readon {
	float:right;
	width:auto;
	}
#jsc_rightbody {
	padding-left:9px;
	padding-top:8px;
	}
#jsc_rightbody br {
	margin-bottom:6px;
	}
";
$document->addStyleDeclaration($css); ?>

<br />
<?php $key = 0; ?>
<?php
	$item = $this->article;
	$params = new JParameter(@$item->params);
?>

	<div id="rounded<?php echo $k;?>">
		<div class="t">
			<div class="t">
				<div class="t"></div>
			</div>
		</div>
		<div class="m">	

			<div id="jsc_maindiv">
				<table class="contentpaneopen" width="100%" cellpadding="0" cellspacing="0">
				<tr valign="top">
					<td width="65%" id="jsc_leftbody">
						<table class="contentpaneopen" width="100%">
						<tr valign="top">
							<td>
								<div style="float:left">
									<table width="100%">
									<tr valign="top">
										<td>
											<?php if($params->get('favorite') && $this->user->get('id')) echo $item->favorite; ?>
											<?php if($params->get('item_title')):?>
											<h2 class="contentheading" style="display: inline;"> 
											<?php echo $item->title; ?>
											</h2>
											<?php endif;?>
										</td>
									</tr>
									</table>
								</div> <!-- style div -->
								<div style="float:right">
									<table width="100%">
									<tr valign="top">
										<?php if($item->edit):?>
											<td class="buttonheading">
												<?php echo $item->edit; ?>
											</td>
										<?php endif; ?>
										<?php if(@$item->pdf):?>
											<td class="buttonheading">
												<?php echo $item->pdf; ?>
											</td>
										<?php endif; ?>
										<?php if(@$item->send):?>
											<td class="buttonheading">
												<?php echo $item->send; ?>
											</td>
										<?php endif; ?>
										<?php if(@$item->print):?>
											<td class="buttonheading">
												<?php echo $item->print; ?>
											</td>
										<?php endif; ?>
									</tr>
									</table>
								</div> <!-- style div -->
							</td>
						</tr>
						</table>
						<div id="jsc_maintable">
							<table class="contentpaneopen" width="100%">
								<?php $tab_close = false;?> 
								<?php foreach($item->fields AS $field):?>		 		
									<?php $fparam = new JParameter($field->params);
										if(!$fparam->get('tabled'))
										{
											if(!$tab_close) echo "</table>";
											$tab_close = true;
										}
										else 
										{
											if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
											$tab_close = false;
										}
										echo $this->getFieldValue($field, $item->user_id);
									?>
								<?php endforeach;?>
							<?php if(!$tab_close) echo "</table>"; ?>
							<?php if($params->get('item_tag') && $item->tags):?>
								<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
							<?php endif; ?>
							<div class="jsc_clr"></div>
						</div> <!-- jsc_maintable -->
					</td>
					<td width="30%" id="jsc_rightbody">
						<table class="contentpaneopen" width="100%" cellpadding="0" cellspacing="0">
						<?php if($params->get('rating')):?>
							<tr valign="top">
								<td>
									<?php echo $item->rating; ?>
								</td>
							</tr>
						<?php endif; ?>
						<?php if($item->avatar):?>
							<tr>
								<td>
									<?php echo $item->avatar; ?>
								</td>
							</tr>
						<?php endif; ?>
						<?php if($params->get('rating')):?>
							<tr>
								<td>
									<span class="small"><?php echo JText::_('Votes')." (".($item->votes ? $item->votes : 0).")"?></span>
								</td>
							</tr>
						<?php endif; ?>
						<?php if($item->user_category):?>
						 	<tr>
						 		<td><?php echo JText::_('User Category') ?>: <?php echo $item->user_category;?></td>
						 	</tr> 
				 		<?php endif;?>
						<?php if($params->get('item_categories')):?>
						 	<tr>
						 		<td><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?>: <?php echo implode(" | ", $item->categories);?></td>
						 	</tr> 
				 		<?php endif;?>
						<?php if($params->get('item_hits')):?>
							<tr>
								<td>
									<span class="small"><?php echo JText::_('Hits')." (".($item->hits ? $item->hits : 0).")"?></span>
								</td>
							</tr>
						<?php endif; ?>
						<?php if($params->get('comments')):?>
							<tr>
								<td>
									<span class="small"><?php echo JText::_('Comments')." (".($item->comments ? $item->comments : 0).")"?></span>
								</td>
							</tr>
						<?php endif; ?>
						<?php if($params->get('favorite')):?>
							<tr>
								<td>
									<span class="small"><?php echo JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")"?></span>
								</td>
							</tr>
						<?php endif; ?>
						<?php if($params->get('item_author') && $item->user):?>
							<tr>
								<td>
									<span class="small"><?php echo JText::_('Written by')?> <?php echo $item->user; ?></span>
									<br />
								</td>
							</tr>
						<?php endif; ?>
						<?php if($params->get('item_ctime')):?>
							<tr>
								<td>
									<span class="createdate">
										<?php echo JText::_('Created')?>:<br /><?php echo $item->ctime->toFormat($params->get('item_time_format')); ?>
									</span>
								</td>
							</tr>
						<?php endif; ?>
						<?php if($params->get('item_mtime') && $item->mtime):?>
							<tr>
								<td>
									<span class="modifydate">
										<?php echo JText::_('Last Updated')?>:<br /><?php echo $item->mtime->toFormat($params->get('item_time_format')); ?>
									</span>
								</td>
							</tr>
						<?php endif; ?>
						</table>
					</td>
				</tr>
				</table>
			</div> <!-- jsc_maindiv -->
			
		<div class="clr"></div>
		</div>
		<div class="b">
			<div class="b">
				<div class="b"></div>
			</div>
		</div>
	</div>
	<br />