<?php
/*
*	Mighty Resources Template
*
*	Name: ' Silver '
*	Type: Article Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$css = "
.jsc_deftext {
	padding:0 0 0.2em 0.3em;
	}
#jsc_stars {
	float:left;
	width:50%;
	font-size:90%;
	padding-top:0.6em;
	}
#jsc_right-side {
	float:left;
	width:50%;
	}
#jsc_tags {
	padding:0;
	margin-left:0.3em;
	}
.jsc_clear {
	clear:both;
	}
#jsc_border {
	border-bottom:1px solid #cccccc;
	padding-bottom:0.7em;
	}
#jsc_created {
	float:left;
	width:50%;
	}
#jsc_modified {
	float:left;
	width:50%;
	}
#jsc_title {
	float:left;
	padding:0;
	margin-left:8px;
	height:auto;
	}
#jsc_iconarea {
	float:right;
	margin-right:8px;
	}
.jsc_icon {
	float:left;
	margin-left:4px;
	}
";
$document->addStyleDeclaration($css); ?>

<br />
<?php $key = 0; $k = 0;?>
<?php
	$item = $this->article;
	$params = new JParameter(@$item->params);
?>
<div class="jsc_clear"></div>
<div id="jsc_title">
	<h2 class="contentheading" style="display: inline;"> 
		<?php if ($params->get('item_title')) echo $item->title; ?>
	</h2> <!-- Title -->
</div> <!-- jsc_title -->

<div id="jsc_iconarea">
	<div class="jsc_icon">
		<?php if($item->edit) echo $item->edit?>
	</div> <!-- jsc_icon -->
	<?php if(@$item->pdf):?>
		<div class="jsc_icon">
			<div class="buttonheading">
				<?php echo $item->pdf;?>
			</div>
		</div> <!-- jsc_icon -->
	<?php endif;?>
	<?php if(@$item->send):?>
		<div class="jsc_icon">
			<div class="buttonheading">
				<?php echo $item->send;?>
			</div>
		</div> <!-- jsc_icon -->
	<?php endif;?>
	<?php if(@$item->print):?>
		<div class="jsc_icon">
			<div class="buttonheading">
				<?php echo $item->print;?>
			</div>
		</div> <!-- jsc_icon -->
	<?php endif;?>
</div> <!-- jsc_iconarea -->

<div class="jsc_clear"></div>
<br />
<div id="rounded<?php echo $k;?>">
	<div class="t">
		<div class="t">
			<div class="t"></div>
		</div>
	</div>
	<div class="m">	
		<div id="jsc_border">
			<table class="contentpaneopen" width="100%">
			<?php if($item->avatar): ?>
			<tr>
				<td>
					<?php echo $item->avatar;?>
				</td>
			</tr>
			<?php endif;?>
			<tr><td>
			<table width="100%" class="contentpaneopen">
			<tr>
				<td width="100%">
					<?php if($params->get('rating')):?>
						<div id="jsc_stars">
							<?php echo $item->rating; ?>
						</div>
					<?php endif;?>
						
					<?php $tab = array();?>
					<?php if($params->get('rating')):?>
					 	<?php $tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
					<?php endif;?>
					<?php if($params->get('item_hits')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
					<?php endif;?>
					<?php if($params->get('comments')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
					<?php endif;?>
					<?php if($params->get('favorite')): ?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
					<?php endif; ?>
						
					<div id="jsc_right-side">
						<?php if(is_array($tab)):?>
							<?php echo implode(' <span style="color:#f0f0f0"> | </span> ', $tab);?>
						<?php endif;?>
						
						<?php if($params->get('item_author') && $item->user):?>
							<div class="jsc_clear">
								<span class="small"><?php echo JText::_('Written by')?> <?php echo $item->user;?></span>
							</div>
						<?php endif;?>
					</div> <!-- Right-side -->
				</td>
			</tr>
			</table>
				
			<table width="100%" border="0" class="jsc_dates">
			<tr>
				<td style="padding-bottom:0.5em">
					<?php if($params->get('item_categories')):?>
					 	<span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span><br />
			 		<?php endif;?>
			 		<?php if($item->user_category):?>
					 	<span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span>
			 		<?php endif;?>
					
					<?php if($params->get('item_ctime')):?>
						<div id="jsc_created" class="createdate">
							<?php echo Jtext::_('Created').':<br />', $item->ctime->toFormat($params->get('item_time_format'));?>
						</div>
					<?php endif;?>
					<?php if($params->get('item_mtime') && $item->mtime):?>
						<div id="jsc_modified" class="modifydate">
							<?php echo JText::_('Last Updated').':<br />', $item->mtime->toFormat($params->get('item_time_format'));?>
						</div>
					<?php endif;?>
				</td>
			</tr>
			</table>
			</td></tr>	
			<?php if($params->get('item_tag') && $item->tags):?>
			<tr>
				<td>
					<div id="jsc_tags">
						<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
					</div>
				</td>
			</tr>
			<?php endif;?>
			</table>
		</div> <!-- Border -->
		
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="blog" summary="Blog" style="margin-top:0.4em">
		<tr valign="top">
			<td>
		 		<?php $table = 1;?>
				<table style="float:left" width="100%" border="0">
					<?php $tab_close = false; ?> 
					<?php foreach($item->fields AS $field):?>		 		
						<?php $fparam = new JParameter($field->params);
							if(!$fparam->get('tabled'))
							{
								if(!$tab_close) echo "</table>";
								$tab_close = true;
							}
							else 
							{
								if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
								$tab_close = false;
							}
							echo $this->getFieldValue($field, $item->user_id);
						?>
					<?php endforeach;?>
				<?php if(!$tab_close) echo "</table>"; ?>
				<div class="jsc_clear"></div>
			</td>
		</tr>
		</table>
		<div class="clr"></div>
	</div>
	<div class="b">
		<div class="b">
			<div class="b"></div>
		</div>
	</div>
</div>
<br />