<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
global $comment, $commentnum, $inf;
if(isset($this)){
	$_this = $this;
}elseif(isset($that)){
	$_this = $that;
}
$data = new JDate($comment->ctime);
$commentnum=$commentnum+1;

if (!function_exists('splitCommentButtons')){
	function splitCommentButtons($control){
		$output = null;
		$buttons = explode('<button', $control);
		foreach ($buttons as $key=>$button){
			if ($button){
			$button = '<button'.$button;
			$name = strip_tags($button);
			$name = ' '.trim($name);
			$link = str_replace(array(' class="button"', 'button', $name), array('', 'a', ''), $button);
//			$del_com = '<img align="absmiddle" alt="" src="'.JURI::root().'components/com_resource/images/com_delete.png"/>';
			$del_a = '<img border="0" title="Delete" alt="Delete" src="'.JURI::root().'components/com_resource/images/icons/a.delete.png"/>';
//			$hide_com = '<img align="absmiddle" alt="" src="'.JURI::root().'components/com_resource/images/com_hide.png"/>';
			$hide_a = '<img border="0" title="Unpublish" alt="Unpublish" src="'.JURI::root().'components/com_resource/images/icons/a.unpublish.png"/>';
//			$unhide_com = '<img align="absmiddle" alt="" src="http://localhost/joomla/components/com_resource/images/com_unhide.png"/>';
			$unhide_a = '<img border="0" title="Approve" alt="Approve" src="'.JURI::root().'components/com_resource/images/icons/a.publish.png"/>';
			$del_preg = '/<img([\S\s\r\n]*)components\/com_resource\/images\/com_delete.png"([\S\s\r\n]*)\/>/i';
			$link = preg_replace($del_preg, $del_a, $link); 
			$hide_preg = '/<img([\S\s\r\n]*)components\/com_resource\/images\/com_hide.png"([\S\s\r\n]*)\/>/i';
			$link = preg_replace($hide_preg, $hide_a, $link); 
			$unhide_preg = '/<img([\S\s\r\n]*)components\/com_resource\/images\/com_unhide.png"([\S\s\r\n]*)\/>/i';
			$link = preg_replace($unhide_preg, $unhide_a, $link); 
			$output .= trim($link);
			}
			}
//		$output = implode(null, $output);
		return $output;
	}
}

?>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr class="sectiontableheader">
		<td>
		<?php 
			if($_this->params->get('comments_title')):
			echo '<span class="forum_title" style="padding-left: 15px;">'.$comment->subject.'</span>';
			endif; 
			?>
		</td>
		<td  class="" align="right">
		<?php echo '<span class="forum_commentnum">#'.$commentnum.'</span>'; ?>
		</td>
	</tr>
	</table>
	
	<table width="100%" cellpadding="5" cellspacing="0" border="0" class="js_content" style="border-collapse:collapse;">
	<tr>
		<td class='forum_left'>
			<?php 
			if($_this->params->get('comments_author')): 
				echo $comment->name;
				$comment_name = $comment->name;
			endif; 
			?>		
		</td>
		<td>
			<span class="createdate"><?php echo $data->toFormat($_this->params->get('comment_time_format')); ?></span>
		</td>
	</tr>
	<tr valign="top">
		<td valign = 'top' class='forum_left'>
			<div class="forum_author">
			<?php if($_this->params->get('comments_avatar')) echo $comment->avatar; ?>
			<?php echo '</div>';?>
			
			<?php if($_this->params->get('comments_rate')): ?>
			<div class="comment_rate">
				<?php if($comment->can_rate): ?> 
					<span id="comment_rate_<?php echo $comment->id ?>">
							<a href="javascript:void(0);" onclick="xajax_jsrRateComment('-', '<?php echo $comment->id ?>')" class="rate_minus"><?php echo JText::_('cold');?></a>
						<?php else: ?> 
						<span class="rate_dis">
							<span onclick="window.alert('<?php echo JText::_('You are not able rate!'); ?>');"><?php echo JText::_('cold');?></span>
						</span>
				<?php endif; ?> 
						<span id="comment_rate_num_<?php echo $comment->id ?>" class="comment_rate_num">(<?php echo $comment->rate ?>)</span>
				<?php if($comment->can_rate): ?>
							<a href="javascript:void(0);" onclick="xajax_jsrRateComment('+', '<?php echo $comment->id ?>')" class="rate_plus"><?php echo JText::_('hot');?></a>
						</span>
						<?php else: ?>
						<span class="rate_dis"> 
							<span onclick="window.alert('<?php echo JText::_('You are not able rate!'); ?>');"><?php echo JText::_('hot');?></span>
					</span>
				<?php endif; ?> 
			</div>
			<?php endif; ?> 
		</td>
		<td>
			<div id="comment_<?php echo $comment->id; ?>"><?php echo $comment->comment; ?></div>
		</td>
	</tr>
	
	<tr>
		<td class='forum_left'>		
			<?php if($comment->control) echo '<span class="forum_control">'.splitCommentButtons($comment->control).'</span>'; ?>
			<div id="editor_comment_<?php echo $comment->id ?>"></div>
		</td>
		<td class="forum_reply">
			<?php if ($inf['reply']):?>
			<?php 
 				$usr_del = stristr($comment_name, '</a>');
		 		$usr = str_replace($usr_del, null, $comment_name);
		 		$usr = strip_tags($usr);
		 		$usr = trim($usr);
		 		$usr = addslashes($usr);
 			?>
				<a href="#comment_form" onclick="comment_reply('comment_<?php echo $comment->id; ?>', '<?php echo $usr; ?>')" title="<?php echo JText::_('Reply'); ?>"><?php echo JText::_('Reply'); ?></a>
			<?php endif;?>
		</td>
	</tr>
</table>