<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>

<?php 
	$cols	= $this->params->get('cat_cols', 2);
	$rows 	= count($this->categories) / $this->params->get('cat_cols', 2);
	$rows 	= ceil($rows);
	$key 	= 0;
	$width 	= round(100 / $cols);
?>

<div class="contentpane">
<h2 class="contentheading"><?php echo JText::_('Category Index')?></h2> 

<table width="100%" cellpadding="5" cellspacing="0" border="0" summary="Subcategories">
	<?php for ($c=0; $c<$rows; $c++) :?>
		<tr valign="top">
			<?php for ($i=0; $i<$cols; $i++) :?>
				<td width="<?php echo $width; ?>%">
					<?php
						$category =  @$this->categories[$key];
						if(!$category) continue;
						if(JRequest::getInt('category_id') == $category->id) {$stl = ' style="font-weight:bold" ';} else {$stl = '';}
						$link = MEUrl::link_list($category->id);
						
						if($this->params->get('cat_img') && $category->image) echo "<p>".JHTML::image(JURI::root().'images/stories/'.$category->image, '', array('align'=>$category->image_position)).'</p>';
						printf('<a %s class="category" href="%s"><big>%s %s</big></a>', $stl, MERoute::_($link), $category->name, ($this->params->get('cat_nums') == 1 ? " ($category->nums) " : NULL) );
						if($this->params->get('cat_descr')&& $category->description) echo $category->description;
					?>
					<?php //if($category->id == 12) print_r($category->children)?>
					<?php jcsFetchCategories($category->children, $category->id, $this); ?>
				</td>
				<?php $key++; ?>
			<?php endfor; ?>
		</tr>
	<?php endfor; ?>
</table>

</div>

<?php 
function jcsFetchCategories($categories, $parent, $that, $k = 0)
{
	if(!is_array($categories)) return;
	
	$that->params->def('subcat_format', 'line');
	if($that->params->get('subcat_format') == 'li') echo "<ul>\n";
	$out = array();
	foreach ($categories AS $child)
	{
		if(JRequest::getInt('category_id') == $child->id) {$stl = ' style="font-weight:bold;" ';} else {$stl = '';}
		$link = MEUrl::link_list($child->id);
		$chl = "<a $stl class=\"child\" href=\"".MERoute::_($link)."\">$child->name</a>".
		($that->params->get('subcat_nums') == 1 ? " <span class=\"hypsmall small\">($child->nums)</span> " : ""  );

		if($that->params->get('subcat_format') == 'li')
		{
			echo "<li>$chl</li>\n";
		}
		else
		{
			$out[] = trim($chl);
		}
		if($child->children)
		{
			$add = jcsFetchCategories($child->children, $child->id, $that, $k + 1);
			if(is_array($add)) $out = array_merge($out, $add);
		}
	}
	if($that->params->get('subcat_format') == 'li')echo "</ul>\n";

	if(($that->params->get('subcat_format') == 'coma') && ($k == 0) && $out) echo "<br style=\"clear:both\" />".implode(", ", $out);
	if(($that->params->get('subcat_format') == 'line') && ($k == 0) && $out) echo "<br style=\"clear:both\" />".implode(" <span class=\"small\">|</span> ", $out);

	return $out;
}?>