<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
////////Helper functions set//////////////////////////////////
/////////////////////////****////////////////////////////////


///Get count of all comments or one latest comment from the category
/// $catid id of category whrere from comment should be taken
/// $mode if true return last comment, if false return count of all comments in category
if (!function_exists('getPosts')){
function getPosts($catid, $mode = true){
	$db = JFactory::getDBO();
	$user = & JFactory::getUser();
//	$lang = & JFactory::getLanguage();
	$where = null;
	if( $user->get('usertype') != 'Super Administrator' ) $where .= ' AND com.published = 1 AND com.hide = 0';
//	if( $params->get('comments_lang_mode') ) $where .= " AND lang = '" . $lang->getTag() . "' ";
	$where .= " AND com.access <= " . (int)$user->get('aid');
	if ($mode){
		$sql = "SELECT com.* AS count FROM #__js_res_comments AS com ".
			"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
			"INNER JOIN #__js_res_record AS rec ON rec.id = reccat.record_id ".
			"WHERE com.record_id = rec.id ".$where.' '.
			"ORDER BY `com`.`ctime` DESC ".
			"LIMIT 1";
		$db->setQuery($sql);
		$result = $db->loadObject();
	}
	else{
		$sql = "SELECT COUNT(*) AS count FROM #__js_res_comments AS com ".
			"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
			"INNER JOIN #__js_res_record AS rec ON rec.id = reccat.record_id ".
			"WHERE com.record_id = rec.id".$where;
		$db->setQuery($sql);
		$result = $db->loadResult();
	}
	return $result;
}
}
//Get Lats topic, accually Resources' comment from the provided category
//$cat_id category id which we are looking for
//$mode if true return the last comment false return the sum of hits to all records in the category
if (!function_exists('getTopic')){
function getTopic($catid, $mode = true){
	$db = JFactory::getDBO();
	$user = & JFactory::getUser();
	if( $user->get('usertype') != 'Super Administrator' ) $w[] = ' AND rec.published = 1';
	$w[] = " AND rec.access <= " . (int)$user->get('aid');
	$where = implode(' ', $w);
	if ($mode){
		$sql = "SELECT rec.* FROM #__js_res_record AS rec ".
		"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
		"WHERE reccat.record_id = rec.id".$where.' '.
		"ORDER BY rec.ctime DESC ".
		"LIMIT 1";
		$db->setQuery($sql);
		$result = $db->loadObject();
	}
	else{
		$sql = "SELECT SUM(rec.hits) FROM #__js_res_record AS rec ".
		"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
		"WHERE reccat.record_id = rec.id".$where;
		$db->setQuery($sql);
		$result = $db->loadResult();
	}
	return $result;
}
}
//Get the username or name of specified user id
// $id is user id
// $that help information from the configuration array of $this to know what to use username or name and how to arrange link itself (none, link, popup and so on)
if (!function_exists('getUserInfo')){
function getUserInfo($id, &$that){
	$db = JFactory::getDBO();
	$sql = "SELECT * FROM #__users WHERE id = $id";
	$db->setQuery($sql);
	$link_name = $that->params->get('link_name', 1);
	$use_name = $that->params->get('use_name', 'username');
	$names = $db->loadObject();
	$name = $names->$use_name;
	$user_id = $names->id;
	
	if (!$name) return;
		switch ($link_name){
		case 1:
			$result = $name;
			break;
		case 2:
			if( is_dir( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_community') ) {
				$commenter_profile_link = MERoute::_("index.php?option=com_community&controller=profile&user_id={$user_id}&Itemid=".JRequest::getInt('Itemid'));
				$result = JHTML::link( $commenter_profile_link, $name);
			} else if( is_dir( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_comprofiler') ) {
				$commenter_profile_link = MERoute::_("index.php?option=com_comprofiler&task=userProfile&user={$user_id}&Itemid=".JRequest::getInt('Itemid'));
				$result = JHTML::link( $commenter_profile_link, $name );
			}
			break;
		case 3:
			$uri = JFactory::getURI();
			$uri->setVar( 'user_id', $user_id );
			$result = JHTML::link( MERoute::_($uri->toString()), $name );
			break;
		case 4:
			include_once (JPATH_ROOT.DS."components".DS."com_community".DS."api.php");
			$result = JSCommunityApi::getUserSlideMenu($user_id, $name);
			break;
		}
	return $result;
}
}
if (!function_exists('getRows')){
function getRows($category, &$that, $k){
	//var_dump($category->id);
	$dformat = $that->params->get('cindex_date_format', 'd-m-Y');
	$entry = $k + 1;
			echo '<tr class="forum_modern_tb sectiontableentry'.$entry.'">';
			
			//$link = "index.php?option=com_resource&view=list&category_id={$category->id}&Itemid=".MEUrl::itemid(NULL, $category->id);;
			if(JRequest::getInt('category_id') == $category->id) {$stl = ' style="font-weight:bold" ';} else {$stl = '';}
			//$link = MEUrl::linkAdditions($link);
			//if($that->params->get('cat_nums') == "rec" ) echo " ($category->items_num) ";
			$link = MEUrl::link_list($category->id);
			//Image
			$image= '&nbsp;';
			if($that->params->get('show_cat_img', 1)){
				$def_img = $that->params->get('def_img'); 
				if ($category->image){
				$image = JHTML::image(JURI::root().'images/stories/'.$category->image, '', array('align'=>$category->image_position));
				}
				else{
					if ($def_img)
					$image = JHTML::image(JURI::root().'images/stories/'.$def_img, '');
				}				
			}
				echo "<td class='col forum_img'>".$image.'</td>';
			
			//Forum
			echo "<td class='col forum_main'><a $stl class=\"category\" href=\"".MERoute::_($link)."\"><big>$category->name</big></a>";
				//Desctiption
				if($that->params->get('cat_descr',1) && $category->description) echo '<div class="forum_description">'.$category->description.'</div>';
			echo "</td>";
			
			//Topics
			$catnums = $category->nums? $category->nums: 0;
			if($that->params->get('cat_nums', 1) == 1 ) echo ' <td class="forum_topics col">'.$catnums.'</td>';
			
			//Posts
			if($that->params->get('show_posts', 1)){ 
				$count = getPosts($category->id, false);
				echo " <td class='forum_posts col'>$count</td>";
			}
			
			//Views
			if($that->params->get('show_views', 1) == 1){
				$views = getTopic($category->id, false);
//				$views = $category->views;
				!$views? $views = 0: '';
				echo "<td class=\"col forum_views\">$views</td>";
			}
			
			//Last Topic
			if($that->params->get('last_topic', 1)){
				$topic = getTopic($category->id);
				if ($topic){
					$rec_id = $topic->id;
					$title = "<div class='last_title'>".$topic->title."</div>";
					$user_id = $topic->user_id;
					$hits = $topic->hits;
					if($topic->ctime != 0) $ctime = date($dformat, strtotime($topic->ctime));
					if ($topic->mtime != 0) $mtime = date($dformat, strtotime($topic->mtime));
					if($topic->extime != 0) $extime = date($dformat, strtotime($topic->extime));
					$author = getUserInfo($user_id, $that);
					//$link_topic = MERoute::_("index.php?option=com_resource&amp;controller=article&amp;article=$rec_id&amp;category_id={$category->id}");
					$link_topic = MEUrl::link_record($topic, $category->id);
					$topic = null;
					
					$ctime? $topic .= "<span class='createdate'>$ctime</span><br>": null;
					$topic .= JHTML::link($link_topic, $title, null);
					$hits? $topic .= "&nbsp;<span class='small'>".JText::_('Hits').":&nbsp;$hits</span><br>": null;
					$author? $topic .= "<span class='small'>".JText::_('Author').":&nbsp;$author</span>": null;
					if (false):
						$mtime? $topic .= "<br><span class='small'>".JText::_('Modified').":&nbsp;$mtime</span>": null;
						$extime != 0? $topic .= "<br><span class='small'>".JText::_('Expired').":&nbsp;$extime</span>": null;
					endif;
				}
				else{
					$topic = JText::_('No Topics');
				}
				echo " <td class='forum_lasttopic col'>$topic</td>";
			}
		
			//Last Post
			if($that->params->get('last_post', 1)){
				$post = getPosts($category->id);
				if($post){
				$rec_id = $post->record_id;
				$link_post = MERoute::_("index.php?option=com_resource&amp;controller=article&amp;article=$rec_id&amp;category_id={$category->id}");
				$link_post = MEUrl::link_record($rec_id, $category->id);
				$user_id = $post->user_id;
				$subject = "<span class='last_title'>".$post->subject."</span>";
//				$comment = strip_tags($post->comment);
//				$comment_t = substr($comment, 0, $that->params->get('max_post', 250));
//				if (strlen($comment) > strlen($comment_t)) $comment = $comment_t.'...';
				if($post->ctime != 0) $ctime = date($dformat, strtotime($post->ctime));
				$name = $post->name;
				$author = getUserInfo($user_id, $that);
				$last_post = null;
				
				$ctime? $last_post .= "<span class='createdate'>$ctime</span><br>": null;
				if($that->params->get('posts_title', 1)):
					$last_post .= JHTML::link($link_post, $subject, null);
				else:
					$last_post .= JHTML::link($link_post, JText::_('Check details...'), null);
				endif;
				$last_post .= '<br><span class="small">'.JText::_('By').":&nbsp;$author</span>";
//				$comment? $last_post .= "<br><span class=\"small\">$comment</span>": null;
//				$rec_id? $last_post .= '<br>'.JHTML::link($link, JText::_('Check details...'), null): null;
				}
				else{
					$last_post = JText::_('No Posts');
				}
				echo " <td class='forum_lastpost col'>$last_post</td>";
				echo "</tr>";
			}
	
}
}
?>
<div class="contentpane">
<h2 class="contentheading"><?php echo JText::_('Boards List')?></h2>
<?php 
$rows 	= count($this->categories);
$key 	= 0;
//$width 	= round(100 / $this->params->get('cat_cols'));
$dformat = $this->params->get('cindex_date_format', 'd-M-Y');
$color = $this->params->get('color', '#9FD4FF');
$document = &JFactory::getDocument();
$document->addStyleDeclaration("
.last_title{
	font-weight: bold;
}
.forum_description{
	font-style: italic;
	font-size: 10pt;	
}
.forum_img{
	width: 5%;
}
.forum_main{
	width: 50%;
}
.forum_topics{
	font-size: 16pt;
	color: green;
	width: 5%;
}
.forum_posts{
	font-size: 12pt;
	color: #2F8EFF;
	width: 5%;
}
.forum_views{
	font-size: 10pt;
	color: orange;
	width: 5%;
}
.forum_lasttopic{
	padding-left: 15px;
	width: 15%;
}
.forum_lastpost{
	padding-left: 5px;
	width: 15%;
}
.col{
}
.row{
	margin-top: 5px;
}
");
//modern view CSS with usage spiffy technique for rounded corners
//include_once (JPATH_ROOT.DS."components".DS."com_resource".DS."helpers".DS."spiffy.css.php");
spiffy_css($document, $color);
$k = 1;
$cat_type = $this->params->get('cat_type');
for ($c=0; $c<$rows; $c++) :
//$k = 1 - $k; 
	$direct = true;


	$category = $this->categories[$key];
	if(!$category) return;
	$category_name = $this->category->name;
	if($category->children)
	{
		//$link = "index.php?option=com_resource&view=list&category_id={$category->id}&Itemid=".MEUrl::itemid(NULL, $category->id);
		//$link = MEUrl::linkAdditions($link);
		if(JRequest::getInt('category_id') == $category->id) {$stl = 'class="current-forum" style="font-weight:bold" ';} else {$stl = '';}
		$link = MEUrl::link_list($category->id);
		$category_name = "<a $stl class=\"category\" href=\"".MERoute::_($link)."\">$category->name</a>";
		$direct = false;
	}

		//subcategories render
		if($direct){
			$single_categories[] = $category;
		}
		else{
					echo'<div class="row">';
					?><b class="spiffy">
					  <b class="spiffy1"><b></b></b>
					  <b class="spiffy2"><b></b></b>
					  <b class="spiffy3"></b>
					  <b class="spiffy4"></b>
					  <b class="spiffy5"></b></b>
					
					<table cellpadding="3" cellspacing="0" width="100%" class="forum_modern_tb">
					<tr class="spiffyfg">
							<td width="1%" colspan="2"><?php echo $category_name; ?></td>
						<?php if($this->params->get('cat_nums', 1) == 1):?>
							<td width="1%"><?php echo JText::_('Topics'); ?></td>
						<?php endif; ?>
						<?php if($this->params->get('show_posts', 1)):?>
							<td width="1%"><?php echo JText::_('Replies'); ?></td>
						<?php endif; ?>
						<?php if($this->params->get('show_views', 1) == 1):?>
							<td width="1%"><?php echo JText::_('Views'); ?></td>
						<?php endif; ?>
						<?php if($this->params->get('last_topic', 1)):?>
							<td width="1%"><?php echo JText::_('Last Topic'); ?></td>
						<?php endif; ?>
						<?php if($this->params->get('last_post', 1)):?>
							<td width="1%"><?php echo JText::_('Last Post'); ?></td>
						<?php endif; ?>
					</tr>
				<?php
				$subchilds = $category->children;
				foreach($subchilds as $subchild){
				$k = 1 - $k;
				getRows($subchild, $this, $k);
			}
					?>
					</table>
					  <div style="height: 6px;" class="spiffyfg"> </div>
					  <b class="spiffy">
					  <b class="spiffy5"></b>
					  <b class="spiffy4"></b>
					  <b class="spiffy3"></b>
					  <b class="spiffy2"><b></b></b>
				  <b class="spiffy1"><b></b></b></b><?php 
				echo'</div>';
		}
		if (($c+1) == $rows && isset($single_categories)) {
			$section_name = $cat_type == 'Static'? $this->section->name: $this->category->name;
			echo'<div class="row">';
			?><b class="spiffy">
			  <b class="spiffy1"><b></b></b>
			  <b class="spiffy2"><b></b></b>
			  <b class="spiffy3"></b>
			  <b class="spiffy4"></b>
			  <b class="spiffy5"></b></b>

			<table cellpadding="3" cellspacing="0" width="100%" class="forum_modern_tb">
			<tr class="spiffyfg">
					<td width="1%" colspan="2"><?php echo $section_name; ?></td>
				<?php if($this->params->get('cat_nums', 1) == 1):?>
					<td width="1%"><?php echo JText::_('Topics'); ?></td>
				<?php endif; ?>
				<?php if($this->params->get('show_posts', 1)):?>
					<td width="1%""><?php echo JText::_('Replies'); ?></td>
				<?php endif; ?>
				<?php if($this->params->get('show_views', 1) == 1):?>
					<td width="1%"><?php echo JText::_('Views'); ?></td>
				<?php endif; ?>
				<?php if($this->params->get('last_topic', 1)):?>
					<td width="1%"><?php echo JText::_('Last Topic'); ?></td>
				<?php endif; ?>
				<?php if($this->params->get('last_post', 1)):?>
					<td width="1%"><?php echo JText::_('Last Post'); ?></td>
				<?php endif; ?>
			</tr>
			<?php
			foreach ($single_categories as $single_category){
				$k = 1 - $k;
				getRows($single_category, $this, $k);
			}
				?>
				</table>
				  <div style="height: 6px;" class="spiffyfg"> </div>
				  <b class="spiffy">
				  <b class="spiffy5"></b>
				  <b class="spiffy4"></b>
				  <b class="spiffy3"></b>
				  <b class="spiffy2"><b></b></b>
				  <b class="spiffy1"><b></b></b></b><?php
				echo'</div>';
		}
		
$key++; 
endfor; ?>

</div>