<?php
/*
*	JoomSuite Content Template
*
*	Name: ' Gallery '
*	Type: List Template with carousel JGallery script, good for module content viewer on frontpage like content listing
*	Version: 1 . 1 . 0
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
//Take template parameters from file
$file_ini = JFile::read(JPATH_ROOT.DS.'components'.DS.'com_resource'.DS.'views'.DS.'list'.DS.'tmpl'.DS.'default_subtmpl_'.$this->params->get('tmpl_list').'.ini');
$params = new JParameter($file_ini);

$width = $params->get('width', '650px');
$height = $params->get('height', '400px');
$cheight = $params->get('cheight', '100%');
$nb = $params->get('nb', 1);
$use = $params->get('use', 1);
$auto = $params->get('auto', 0);
$wrap = $params->get('wrap', 'none');
$speed = $params->get('speed', 'normal');
$pause = $params->get('pause', 1);
$stop = $params->get('stop', 1);
$ext_cont = $params->get('ext_cont', 1);
$border_color = $params->get('border_color', '#E4F5FF');
$prev_next = $params->get('prev_next', 1);
if ($params->get('mode', 1) == 1) $mode = 'false';
	else $mode = 'true';
$initcallback = 'null';
$helper = null;
$outline = null;
$max = count($this->items);

//load all the scripts and CSS
$document = &JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_resource/views/list/tmpl/default_subtmpl_carousel/carousel_main_tmpl.css');

if ($use==1){
$document->addScript(JURI::root().'media/mightyextensions/js/jquery/jquery.pack.js');
$document->addScript(JURI::root().'media/mightyextensions/js/jquery/plugins/jcarousel/lib/jquery.jcarousel.pack.js');
$document->addStyleSheet(JURI::root().'components/com_resource/views/list/tmpl/default_subtmpl_carousel/jcarousel_controls.css');
$document->addStyleSheet(JURI::root().'components/com_resource/views/list/tmpl/default_subtmpl_carousel/jcarousel_tmpl.css');
if ($mode == 'false'){
	$nb>1? $dblwidth = $nb*$width.'px': $dblwidth = $width;
	$dblheight = $height;
	$css = ".all_gal {border-right:1px solid #C7C7C7;}";	
	}
else if ($mode == 'true'){
	$nb>1? $dblheight = $nb*$height.'px': $dblheight = $height;
	$css = ".all_gal {border-top:1px solid #C7C7C7;}";	
	$dblwidth = $width;
	}

	$css .= "
	.jcarousel-skin-galtmpl .jcarousel-container-vertical {
		width: {$width};
		height: {$dblheight};
		padding: 40px 20px;
	}

	.jcarousel-skin-galtmpl .jcarousel-clip-vertical {
		width:  {$width};
		height: {$dblheight};
	}
	.jcarousel-skin-galtmpl .jcarousel-container-horizontal {
		width: {$dblwidth};
		padding: 20px 40px;
	}

	.jcarousel-skin-galtmpl .jcarousel-clip-horizontal {
		width:  {$dblwidth};
		height: {$height};
	}";

	$document->addStyleDeclaration("
		$css
	.jcarousel-skin-galtmpl .jcarousel-item {
		width: {$width};
		height: {$height};
	}
	
	#gal_upload{
		background: transparent url(".JURI::root()."media/mightyextensions/js/jquery/plugins/jcarousel/images/loading.gif) no-repeat center;
		height: 400px;
		width: 100%;
	}
	
	.jcarousel-skin-galtmpl .jcarousel-container {
		-moz-border-radius: 10px; 
		-webkit-border-radius: 10px;
    	border-radius: 10px;
    	background: {$border_color};
	}
	.jsc_maintable{
		height: $cheight;
	}
	");

//call Jquery with initialaze jcarousel script with accordingly parameters
if ($wrap != 'none') 
		$wrap = "wrap: '$wrap',";
	else $wrap = null;
// optional function for using easing, accordingly needs to be uncommented and included into script call on the page before initialize, syntax for option easing: 'BounceEaseOut'	
/* jQuery.easing['BounceEaseOut'] = function(p, t, b, c, d) {
	if ((t/=d) < (1/2.75)) {
		return c*(7.5625*t*t) + b;
	} else if (t < (2/2.75)) {
		return c*(7.5625*(t-=(1.5/2.75))*t + .75) + b;
	} else if (t < (2.5/2.75)) {
		return c*(7.5625*(t-=(2.25/2.75))*t + .9375) + b;
	} else {
		return c*(7.5625*(t-=(2.625/2.75))*t + .984375) + b;
	}
}; */

// stop/pause when mouse over or click on next/prev buttons
if ($pause || $stop || $ext_cont || $prev_next){
	$script = "function mycarousel_initCallback(carousel){";
		if ($stop){
		// Disable autoscrolling if the user clicks the prev or next button.
		$script .= "
		jQuery('#mycarousel-next, .jcarousel-next').bind('click', function() {
			carousel.startAuto(0);
		});

		jQuery('#mycarousel-prev, .jcarousel-prev').bind('click', function() {
			carousel.startAuto(0);
		});";}
		if ($pause){
		// Pause autoscrolling if the user moves with the cursor over the clip.
		$script .= "
		carousel.clip.hover(function() {
			carousel.stopAuto();
		}, function() {
			carousel.startAuto();
		});";}
		if ($ext_cont){
		$script .= "    
		jQuery('#ext_cont a').bind('click', function() {
        carousel.scroll(jQuery.jcarousel.intval(this.getAttribute('rel')));
        return false;
		});";}
		if ($prev_next){
		$script .="
		jQuery('#mycarousel-next').bind('click', function() {
        carousel.next();
        return false;
		});

		jQuery('#mycarousel-prev').bind('click', function() {
        carousel.prev();
        return false;
		});";
		$helper = "buttonNextHTML: null,
        	buttonPrevHTML: null,";}
	$document->addScriptDeclaration("{$script}
	};");
	$initcallback = "mycarousel_initCallback";
}

//outline active item for external scrolling case
if ($ext_cont) {
		$document->addScriptDeclaration("
			function mycarousel_itemVisibleInCallbackAfterAnimation(carousel, item, idx, state) {
				 item = 'item'+idx;
				 act = document.getElementById(item);
   				 act.className = 'cont_curr';
   				 return false;
			};
			function mycarousel_itemVisibleOutCallbackAfterAnimation(carousel, item, idx, state) {
				 item = 'item'+idx;
				 act = document.getElementById(item);
   				 act.className = null;
   				 return false;
			};");
		$outline = "itemVisibleInCallback: {
            onAfterAnimation:  mycarousel_itemVisibleInCallbackAfterAnimation
        },
        itemVisibleOutCallback: {
            onAfterAnimation:  mycarousel_itemVisibleOutCallbackAfterAnimation
        },";
		}

//initialization process
$document->addScriptDeclaration("
jQuery(document).ready(function() {
    jQuery('#mycarousel').jcarousel({
		scroll: 1,
		vertical: $mode,
		$wrap
		initCallback: $initcallback,
		$helper
		$outline
		auto: $auto,
		animation: '$speed'
	});
	jQuery('#gal_upload').remove();
	jQuery('#gal_container').removeAttr('style');
});
");
}

//template fantasy with minor modification
$key = 0;?>
<div id="gal_upload">&nbsp;</div>
<div id="gal_container" style="visibility: hidden; position: relative; bottom: 100px;">
<?php for ($c=0; $c<$max; $c++) :
		if ($c == 0) echo '<ul id="mycarousel" class="jcarousel-skin-galtmpl"> <li class="mycarousel_li">';
		else echo '<li class="mycarousel_li">';
		$item = @$this->items[$key];
		$params = new JParameter(@$item->params);?>
	
	<div class="all_gal">
		<div class="jsc_wrapper">
			<div class="jsc_header">
				<div class="jsc_iconarea">
					<?php if(@$item->pdf):?>

								<?php echo $item->pdf; ?>

	
					<?php endif; ?>
					<?php if(@$item->send):?>


								<?php echo $item->send; ?>

					<?php endif; ?>
					<?php if(@$item->print):?>

	
								<?php echo $item->print; ?>


					<?php endif; ?>
				</div> <!-- jsc_iconarea -->
				
				<div>
					<?php if($params->get('favorite') && $this->user->get('id')) echo $item->favorite; ?>
					<?php if($params->get('item_compare')):?>
				 		<?php echo $item->compare;?>
			 		<?php endif;?>
					<?php if($params->get('item_title')):?>
						<h2 class="contentheading" style="display: inline;">
						<?php echo $item->ntitle; ?>
						</h2>
					<?php endif;?>
					<?php if($item->edit):?>
					<span class="jsc_edit_icon">
						<?php echo $item->edit; ?>
					</span> <!-- jsc_icon -->
					<?php endif; ?>
				</div> <!-- contentheading -->
				<div class="jsc_clr"></div>
				<div class="jsc_header_inner">
					<?php if($item->avatar):?>
						<div class="jsc_avatar">
							<?php echo $item->avatar; ?>
						</div> <!-- jsc_avatar -->
					<?php endif; ?>
					<div class="jsc_event">
						<?php if($params->get('item_author') && $item->user):?>
							<span class="small">
								<?php echo JText::_('Written by')?>: <?php echo $item->user; ?>
							</span>
							<br />
						<?php endif; ?>
						<?php if($params->get('item_ctime')):?>
							<span class="createdate">
								<?php echo JText::_('Created')?>: <?php echo $item->ctime->toFormat($params->get('item_time_format')); ?>
							</span>
						<?php endif; ?>
					<?php if($params->get('item_categories')):?>
					 	<br /><span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span>
			 		<?php endif;?>
			 		<?php if($item->user_category):?>
					 	<br /><span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span>
			 		<?php endif;?>
						
						
					</div> <!-- jsc_event -->
				</div> <!-- jsc_header_inner -->
				<div class="jsc_clr"></div>
			</div> <!-- jsc_header -->
			
			<div class="jsc_clr"></div>
			<div class="jsc_maintable">
				<table class="contentpaneopen" width="100%">
					<?php $tab_close = false;?> 
					<?php foreach($item->fields AS $field):?>		 		
						<?php 
						$fparam = new JParameter($field->params);
						if(!$fparam->get('tabled'))
						{
							if(!$tab_close) echo "</table>";
							$tab_close = true;
						}
						else 
						{
							if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
							$tab_close = false;
						}
						echo $this->mmodel->getFieldValue($field, $item->user_id);
						?>
					<?php endforeach;?>
				<?php if($tab_close == FALSE) echo "</table>"; ?>

			</div> <!-- jsc_maintable -->
		</div><!-- jsc_wrapper -->	
		<div class="jsc_bottom">
				<?php if($params->get('item_mtime') && $item->mtime):?>
					<span class="modifydate">
						<?php echo JText::_('Last Updated')?> <?php echo $item->mtime->toFormat($params->get('item_time_format')); ?>
					</span>
				<?php endif; ?>
				<?php if($params->get('item_tag') && $item->tags):?>
					<div class="jsc_tags">
						<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
					</div>
				<?php endif; ?>
				<?php if($params->get('item_readon')):?>
				<div class="jsc_readon">
					<a href="<?php echo $item->link; ?>" class="readon">
						<?php echo JText::_($params->get('item_readon_label', 'Read more...'))?>
					</a>
				</div> <!-- jsc_readon -->
				<?php endif; ?>
			
			<div class="jsc_clr"></div>
			<div class="jsc_footer">
				<?php if($params->get('rating')):?>
					<div class="jsc_rating">
						<?php echo $item->rating; ?>
					</div> <!-- jsc_rating -->
				<?php endif; ?>
				<div class="jsc_notes">
					<?php $tab = array(); ?>
					<?php if($params->get('rating')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('item_hits')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('comments')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('favorite')): ?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if(is_array($tab)) echo implode(' <span style="color:#f0f0f0"> | </span> ', $tab); ?>
				</div> <!-- jsc_notes -->
			</div> <!-- jsc_footer -->
		</div><!-- jsc_bottom -->
	</div>
	</li>
	<?php $key++; endfor; 
	if ($c == $max) echo '</ul>';
	?>
	</div><?php
	//separate controls for every item
	$cont = true;		
	if ($cont && ($ext_cont || $prev_next)):	?>
	<div id="galtmpl_control">
	<?php 
		if ($prev_next)
		echo "<span class='cont_but'><a id='mycarousel-prev' href='#'>".JText::_('Prev')."</a></span>";
			if ($ext_cont):
			?><span id="ext_cont"><?php
				for ($k=1; $k<=$max; $k++) :
				echo "<span class='cont_item'><a id ='item$k' rel='$k' href='#'>$k</a></span>";
				$cont = false;
				endfor;
			?></span><?php
			endif;
		if ($prev_next)
		echo "<span class='cont_but'><a id='mycarousel-next' href='#'>".JText::_('Next')."</a></span>";
	?>
	</div>
	<?php 
	endif;
?>