<?php
/*
*	Mighty Resources Template
*
*	Name: ' Community Blog '
*	Type: List Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$css = "
.jsc_clr {
	clear:both;
	}
#jsc_template {
	padding:0;
	}
#jsc_leftside {
	float:left;
	width:35px;
	padding-top:3px;
	}
#jsc_created {
	width:100%;
	font-family:Verdana;
	margin:0;
	padding:0;
	}
#jsc_created div {
	text-align:center;
	}
#jsc_object1 {
	color:#ffffff;
	font-size:0.8em;
	font-weight:bold;
	background-color:#000000;
	text-transform:uppercase;
	margin-bottom:4px;
	padding:3px 0 3px 0;
	}
#jsc_object2 { 
	color:#333333;
	font-size:1.8em;
	font-weight:bold;
	}
#jsc_object3 { 
	color:#333333;
	font-size:1.1em;
	font-weight:bold;
	text-transform:uppercase;
	}
#jsc_object4 { 
	color:#333333;
	font-size:0.8em;
	font-weight:normal;
	}
#jsc_fav {
	
	}
#jsc_iconarea {
	float:right;
	text-align:right;
	margin:4px 0 5px 9px;
	}
.jsc_icon {
	float:left;
	margin-left:4px;
	}
#jsc_rightside {
	border-left:1px solid #000000;
	margin-left:43px;
	padding:4px 0 4px 8px;
	}
#jsc_header {
	width:auto;
	}
#jsc_avatar {
	float:left;
	margin-right:7px;
	}
#jsc_header .contentheading {
	height:auto;
	padding:0;
	}
#jsc_title {
	width:auto;
	margin-top:-2px;
	}
#jsc_header_inner {
	float:left;
	margin-top:5px;
	}
#jsc_notes {
	clear:right;
	float:right;
	margin:17px 9px 0 0;
	padding:0 0 2px 12px;
	border-left:1px solid #ccc;
	}
#jsc_notes br {
	margin-bottom:7px;
	}
#jsc_rating {
	margin-top:2px;
	}
#jsc_writtenby {
	margin-top:4px;
	}
";
$document->addStyleDeclaration($css);

$key = 0;
for ($c=0; $c<count($this->items); $c++) :

		$item = @$this->items[$key];
		$params = new JParameter(@$item->params);
	?>
	
	<div class="jsc_clr"></div>
	<div id="jsc_template">
		<div id="jsc_leftside">
			<div id="jsc_created">
				<div id="jsc_object1">
					<?php echo $item->ctime->toFormat('%a'); ?>
				</div> <!-- jsc_object1 -->
				<div id="jsc_object2">
					<?php echo $item->ctime->toFormat('%d'); ?>
				</div> <!-- jsc_object2 -->
				<div id="jsc_object3">
					<?php echo $item->ctime->toFormat('%b'); ?>
				</div> <!-- jsc_object3 -->
				<div id="jsc_object4">
					<?php echo $item->ctime->toFormat('%y'); ?>
				</div> <!-- jsc_object4 -->
				<div id="jsc_fav">
					<?php if($params->get('favorite') && $this->user->get('id')) echo $item->favorite; ?>
					<?php if($params->get('item_compare')):?>
				 		<?php echo $item->compare;?>
			 		<?php endif;?>
				</div> <!-- jsc_fav -->
			</div> <!-- jsc_created -->
		</div> <!-- jsc_leftside -->
		<div id="jsc_iconarea">
			<?php if(@$item->pdf):?>
				<div class="jsc_icon">
					<div class="buttonheading">
						<?php echo $item->pdf; ?>
					</div> <!-- buttonheading -->
				</div> <!-- jsc_icon -->
			<?php endif; ?>
			<?php if(@$item->send):?>
				<div class="jsc_icon">
					<div class="buttonheading">
						<?php echo $item->send; ?>
					</div> <!-- buttonheading -->
				</div> <!-- jsc_icon -->
			<?php endif; ?>
			<?php if(@$item->print):?>
				<div class="jsc_icon">
					<div class="buttonheading">
						<?php echo $item->print; ?>
					</div> <!-- buttonheading -->
				</div> <!-- jsc_icon -->
			<?php endif; ?>
			<?php if($item->edit):?>
				<div class="jsc_icon">
					<?php echo $item->edit; ?>
				</div> <!-- jsc_icon -->
			<?php endif; ?>
		</div> <!-- jsc_iconarea -->
		<div id="jsc_rightside">
			<div id="jsc_header">
				<?php if($item->avatar):?>
					<div id="jsc_avatar">
						<?php echo $item->avatar; ?>
					</div> <!-- jsc_avatar -->
				<?php endif; ?>
				<div id="jsc_title">
					<?php if($params->get('item_title')):?>
						<h2 class="contentheading" style="display: inline;">
							<?php echo $item->ntitle; ?>
						</h2>
					<?php endif;?>
				</div> <!-- jsc_title -->
				<div id="jsc_notes">
					<?php $tab = array(); ?>
					<?php if($params->get('rating')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('item_hits')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('comments')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('favorite')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if(is_array($tab)) echo implode('<br />', $tab); ?>
					<?php if($params->get('item_categories')):?>
					 	<br /><span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span>
			 		<?php endif;?>
			 		<?php if($item->user_category):?>
					 	<br /><span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span>
			 		<?php endif;?>
				</div> <!-- jsc_notes -->
				<div id="jsc_header_inner">					
					<?php if($params->get('rating')):?>
						<div id="jsc_rating">
							<?php echo $item->rating; ?>
						</div> <!-- jsc_rating -->
						<br />
					<?php endif; ?>
					<div class="jsc_clr"></div>
					<?php if($params->get('item_author') && $item->user):?>
						<div id="jsc_writtenby">
							<span class="small">
								<?php echo JText::_('Written by')?>: <?php echo $item->user; ?>
							</span>
						</div> <!-- jsc_writtenby -->
					<?php endif; ?>
				</div> <!-- jsc_header_inner -->
				<div class="jsc_clr"></div>
			</div> <!-- jsc_header -->
			<div class="jsc_clr"></div>
			<br />
			<table class="contentpaneopen" width="100%">
				<?php $tab_close = false;?> 
				<?php foreach($item->fields AS $field):?>		 		
					<?php 
					$fparam = new JParameter($field->params);
					if(!$fparam->get('tabled'))
					{
						if(!$tab_close) echo "</table>";
						$tab_close = true;
					}
					else 
					{
						if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
						$tab_close = false;
					}
					echo $this->mmodel->getFieldValue($field, $item->user_id);
					?>
				<?php endforeach;?>
			<?php if($tab_close == FALSE) echo "</table>"; ?>

			<?php if($params->get('item_readon')):?>
				<div class="jsc_clr"></div>
				<a href="<?php echo $item->link; ?>" class="readon">
					<?php echo JText::_($params->get('item_readon_label', 'Read more...'))?>
				</a>
				<div class="jsc_clr"></div>
				<br />
			<?php endif; ?>
			<?php if($params->get('item_tag') && $item->tags):?>
				<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
				<div class="jsc_clr"></div>
				<br />
			<?php endif; ?>
			<?php if($params->get('item_mtime') && $item->mtime):?>
				<span class="modifydate">
					<?php echo JText::_('Last Updated')?>: <?php echo $item->mtime->toFormat($params->get('item_time_format')); ?>
				</span>
			<?php endif; ?>
			<div class="jsc_clr"></div>
		</div> <!-- jsc_rightside -->
		<div class="jsc_clr"></div>
	</div> <!-- jsc_template -->
	<div class="jsc_clr"></div>
	<br />
<?php $key++; endfor;?>