<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$base = $this->baseurl."/components/com_resource/images/tmpl";
$cellpadding = $this->params->get("resCellPadding", "8");
$featured_bg = $this->params->get("resFeaturedBg", "#FFEFEF");
$icon_width = $this->params->get("resIconW", "32px");
$icon_height = $this->params->get("resIconH", "32px");
$status_style = $this->params->get("resStatusStyle");
$date_style = $this->params->get("resDateStyle");
$res_replies_font = $this->params->get("resRepliesFont", "1em");
$res_views_font = $this->params->get("resViewsFont", "1em");
$css = "
.res-featured {
background-color:$featured_bg !important; }
.res-status {
$status_style }
.res-date-style {
$date_style }
.res-replies {
font-size:$res_replies_font !important; vertical-align:middle; text-align:center !important; }
.res-views {
font-size:$res_views_font !important; vertical-align:middle; text-align:center !important; }
";
$document->addStyleDeclaration($css);
?>
<table class="forum-default" width="100%" cellpadding="<?php echo $cellpadding; ?>" cellspacing="0" border="0">
<tr class="sectiontableheader">
	<?php if($this->params->get('resStatusField')): ?>
		<td class="sectiontableheader" width="1%">&nbsp;</td>
	<?php endif; ?>
	<td class="sectiontableheader"><?php echo JText::_('Topics'); ?></td>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Author'); ?></td>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Replies'); ?></td>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Views'); ?></td>
	<td class="sectiontableheader" width="100px"><?php echo JText::_('Last Post'); ?></td>
</tr>
<?php $k = 1;
$images = array();
$images = explode("\n", $this->params->get('resStatusImages'));
foreach($images AS $image)
{
	$im_values = explode("::", $image);
	$im_values[0] = JString::strtolower(trim(strip_tags($im_values[0])));
	$images_array[$im_values[0]] = $im_values[1];
}
$images_array['stick'] = 'stick.png';
$http_base = JURI::root().'components/com_resource/images/tmpl/';
$file_base = JPATH_ROOT.DS.'components'.DS.'com_resource'.DS.'images'.DS.'tmpl'.DS;
	
foreach ($this->items as $key => $item) {
	$k = 1 - $k;
	$params = new JParameter($item->params);
	
	$lastpost = @$item->fields[$this->params->get('resLastPostField')]->result;
	$status_line = array();
	if(@$item->fields[$this->params->get('resStatusField')]->result) $status_line[]	= @$item->fields[$this->params->get('resStatusField')]->result;
	if(@$item->fields[$this->params->get('resPriorityField')]->result) $status_line[]	= @$item->fields[$this->params->get('resPriorityField')]->result;
	
	$status = JString::strtolower(trim(strip_tags(@$item->fields[$this->params->get('resStatusField')]->result)));
	if(!$status) $status = '';
	?>
	<tr class="sectiontableentry<?php echo $k + 1; ?> <?php if ($item->featured) {echo " res-featured"; $status = 'stick';} ?>" valign="top">
		<?php if($this->params->get('resStatusField')): ?>
		<?php $treat_status = JString::strtolower(trim(strip_tags($status))); ?>
		<td>
			<?php if(!key_exists($status, $images_array)): ?>
				<?php $images_array[$status] = 'default_topic.png'; ?>
			<?php endif; ?>
			<?php if(file_exists($file_base.$images_array[$status])): ?>
				<img src="<?php echo $http_base.$images_array[$status]; ?>" width="<?php echo $icon_width; ?>" height="<?php echo $icon_height; ?>" alt="<?php echo $status; ?>" />
			<?php endif; ?>
		</td>
		<?php endif; ?>
		<td>
		<h2 class="contentheading" style="display: inline;"> 
			<?php echo $item->ntitle; ?>
		</h2>
			<br />
			<span class="small">
				<span class="res-status">
					<?php echo implode(" | ", $status_line); ?>
				</span>
			</span>
			<?php if($params->get('item_ctime')): ?>
			 <span class="small"> | </span> <span class="createdate">
				<span class="res-date-style">
					<?php echo $item->ctime->toFormat($this->params->get('resDateFormat')); ?>
				</span>
			</span>
			<?php endif; ?>
		</td>
		<td nowrap="nowrap">
			<?php echo @$item->user; ?>
			<br />
			<?php if ($item->edit) echo $item->edit; ?>
		</td>
		<td class="res-replies">
			<?php echo ($item->comments ? $item->comments : 0); ?>
		</td>
		<td class="res-views">
			<?php echo ($item->hits ? $item->hits : 0); ?>
		</td>
		<td nowrap="nowrap" style="text-align:center;">
			<?php echo $lastpost; ?>
		</td>
	</tr>
	<?php } ?>
</table>