<?php
/*
*	JoomSuite Resource
*	Joint 2.0
*	List Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html	
*/

defined('_JEXEC') or die('Restricted access'); ?>

<style type="text/css">
.jsc-clr {
clear:both; }

.jsc-layout {
margin:0; padding:3px; }

.jsc-header {
margin-bottom:10px; padding:0; }

.jsc-fav {
float:left; }

.jsc-iconarea {
float:right; }

.jsc-icon {
float:left; margin-right:2px; }

.jsc-layer {
margin-bottom:10px; padding-bottom:10px; border-bottom:1px solid #c7c7c7; }

.jsc-avt {
float:left; margin-right:12px; }

.jsc-avt img {
width:80px; heigth:80px; }

.jsc-writtenby, {
float:left; }

.jsc-content {
margin:0; padding:0; }

.jsc-modules {
margin-top:10px; padding-top:10px; border-top:1px solid #c7c7c7; }

.jsc-small {
float:right; margin-top:10px; }

.jsc-tags {
margin-bottom:19px; }
</style>

<?php $key = 0; $k = 0; ?>
<?php for ($c = 0; $c<count($this->items); $c++) :?>
<?php
	$item = @$this->items[$key];
	$params = new JParameter(@$item->params);
?>
<div id="rounded<?php echo $k; ?>">
	<div class="t">
		<div class="t">
			<div class="t"></div>
		</div>
	</div>
	<div class="m">
		<div class="jsc-layout">
			<div class="jsc-header">
				<div class="jsc-iconarea">
					<?php if (@$item->edit): ?>
						<div class="jsc-icon buttonheading">
							<?php echo $item->edit; ?>
						</div>
					<?php endif; ?>
					<?php if (@$item->pdf): ?>
						<div class="jsc-icon buttonheading">
							<?php echo $item->pdf; ?>
						</div>
					<?php endif; ?>
					<?php if (@$item->send): ?>
						<div class="jsc-icon buttonheading">
							<?php echo $item->send; ?>
						</div>
					<?php endif; ?>
					<?php if (@$item->print): ?>
						<div class="jsc-icon buttonheading" style="margin-right:0;">
							<?php echo $item->print; ?>
						</div>
					<?php endif; ?>
				</div>
				<div class="contentheading">
					<?php if ($params->get('favorite') && $this->user->get('id')): ?>
						<div class="jsc-fav">
							<?php echo $item->favorite; ?>
						</div>
					<?php endif; ?>
					<?php if($params->get('item_compare')):?>
				 		<?php echo $item->compare;?>
			 		<?php endif;?>
					<?php if($params->get('item_title')):?>
					<h2 class="contentheading" style="display: inline;"> 
						<?php echo $item->ntitle; ?>
					</h2>
					<?php endif;?>
				</div>
			</div> <!-- jsc-header -->
			<div class="jsc-layer">
				<?php if ($item->avatar): ?>
					<div class="jsc-avt">
						<?php echo $item->avatar; ?>
					</div>
				<?php endif; ?>
				<?php if($params->get('item_author') && $item->user):?>
					<div class="jsc-writtenby">
						<span class="small"><?php echo JText::_('Written by')?>: <?php echo $item->user; ?></span>
					</div>
				<?php endif; ?>
				<?php if($item->user_category):?>
					<br class="jsc-clr" />
				 	<span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span>
		 		<?php endif;?>
				<?php if($params->get('item_categories')):?>
					<br />
				 	<span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span>
		 		<?php endif;?>
				<?php if ($params->get('item_ctime')): ?>
					<br class="jsc-clr" />
					<span class="createdate"><?php echo JText::_('Created')?>: <?php echo $item->ctime->toFormat($params->get('item_time_format')); ?></span>
				<?php endif; ?>
				<?php if ($params->get('item_mtime') && $item->mtime): ?>
					<br class="jsc-clr" />
					<span class="modifydate"><?php echo JText::_('Last Updated')?>: <?php echo $item->mtime->toFormat($params->get('item_time_format')); ?></span>
				<?php endif; ?>
				<br class="jsc-clr" />
			</div> <!-- jsc-layer -->
			<table class="jsc-content contentpaneopen" width="100%">
				<?php $tab_close = false; ?>
				<?php foreach ($item->fields AS $field): ?>	
					<?php $fparam = new JParameter($field->params);
					if(!$fparam->get('tabled')) {
						if(!$tab_close) echo "</table>";
						$tab_close = true;
					}
					else {
						if($tab_close) echo '<table class="contentpaneopen" width="100%">';
						$tab_close = false;
					}
					echo $this->mmodel->getFieldValue($field, $item->user_id);
					?>
				<?php endforeach; ?>
			<?php if (!$tab_close) echo "</table>"; ?>
			<?php if ($params->get('item_readon')): ?>
				<br class="jsc-clr" />
				<a href="<?php echo $item->link; ?>" class="readon"><?php echo JText::_($params->get('item_readon_label', 'Read more...'))?></a>
			<?php endif; ?>
			<?php if ($params->get('item_tag') && $item->tags): ?>
				<br class="jsc-clr jsc-tags" />
				<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
			<?php endif; ?>
			<br class="jsc-clr" />
			<div class="jsc-modules">
				<?php $array = array(); ?>
				<?php if ($params->get('rating')): ?>
					<?php $array[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if ($params->get('item_hits')): ?>
					<?php $array[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if ($params->get('comments')): ?>
					<?php $array[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if($params->get('favorite')): ?>
					<?php $array[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if (is_array($array)) echo '<div class="jsc-small">', implode('<span style="color:#c7c7c7;"> | </span>', $array), '</div>'; ?>
				<?php if ($params->get('rating')): ?>
					<div class="jsc-rating">
						<?php echo $item->rating; ?>
					</div>
				<?php endif; ?>
			</div> <!-- jsc-modules -->
		</div> <!-- jsc-layout -->
	<div class="jsc-clr"></div>
	</div>
	<div class="b">
		<div class="b">
			<div class="b"></div>
		</div>
	</div>
</div>
<br />
<?php $key++; endfor; ?>