<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<?php
$item = $this->article;
$base = JURI::root();
$pane_css=".pane-sliders .title {
	margin: 0;
	padding: 2px;
	color: #666;
	cursor: pointer;
}

.pane-sliders .panel   { border-top: 1px solid #ccc;}

.pane-sliders .panel h3 { background: #f6f6f6; color: #666}

.pane-sliders .content { background: #f6f6f6; }

.pane-sliders .adminlist     { border: 0 none; }
.pane-sliders .adminlist td  { border: 0 none; }

.jpane-toggler  span     { background: transparent url({$base}components/com_resource/images/icons/help.png) 5px 50% no-repeat; padding-left: 30px;}
.jpane-toggler-down span { background: transparent url({$base}components/com_resource/images/icons/info.png) 5px 50% no-repeat; padding-left: 30px;}

.jpane-toggler-down {  border-bottom: 1px solid #ccc; }";
$helper_css = "
.faq_top_right{
	float: right;
	margin: 10px 10px 0;
	display: inline;
	width: 15%
}
.faq_top_left{
	display: inline;
	float: left;
	margin-top: 10px;
	width: 80%;
}
.faq_bottom{
	display: inline;
	float: left;
	padding-bottom: 10px;
	padding-left: 10px;
}
.faq_main{
	margin: 0 10px;
}
.faq_info{
	padding: 2px 35px;
	margin-bottom: 5px;
	background: #F6F6F6;
	color: #666666;
	border-bottom: 1px solid #ccc;
}
.faq_info_left{
	display: inline;
}
.faq_info_right{
	display: inline;
	padding-left: 30px;
}
.faq_psp{
	float: right;
}
.faq_avatar{
text-align: right;
}
.faq_author{
	float: right;
}
.faq_tags{
	margin-left: 30px;
}
.js_key{
	vertical-align: middle;
}";

jimport('joomla.html.pane');

$allclose = $this->params->get('allclose', 1);
$opacity = $this->params->get('opacity', 1);
$duration = $this->params->get('duration', 300);
$stand = $this->params->get('stand', 0);

$pane =& JPane::getInstance('sliders', array('startOffset'=>$stand, 'allowAllClose'=>$allclose, 'opacityTransition'=>$opacity, 'duration'=>$duration, 'startTransition' => 0)); 
$document = &JFactory::getDocument();
if ($this->params->get('custom_css', 0))
$document->addStyleDeclaration($pane_css);
$document->addStyleDeclaration($helper_css);
echo $pane->startPane( 'pane' );

$pane_title = '&nbsp;';
$psp = null;
	if($this->params->get('favorite') && $this->user->get('id')) 
		$pane_title .= $item->favorite;
	if($this->params->get('item_title')) 
		$pane_title .= $item->title;
//var_dump($this->params);
echo $pane->startPanel( $pane_title, $item->id );?>
 <div class="faq_top_left">
		<?php
		if($this->params->get('rating'))
			echo '<div style="float: left;"><span class="faq_rating">'.$item->rating.'</span></div>';	
		if($this->params->get('item_tag') && $item->tags)
			echo '<span class="small faq_tags">'.JText::_('Tags').':'.$item->tags.'</span>';
			if(@$item->pdf)
	 			$psp .= '&nbsp;'.$item->pdf;
	 		if(@$item->send)
	 			$psp .= '&nbsp;'.$item->send;
	 		if(@$item->print)
	 			$psp .=  '&nbsp;'.$item->print;
			echo  '<div class="faq_psp">'.$psp.'</div>'; 
		?>
	</div>
	<div class="faq_top_right">
 		<?php
		if($item->edit)	
			echo  '<div style="text-align: right;">'.$item->edit.'</div>';

		if($item->avatar):?>
						<div class="faq_avatar">
							<?php echo $item->avatar; ?>
						</div>
				<div style="clear: both;"></div>
					<?php endif; ?>
		<?php if($this->params->get('item_author') && $item->user):?>
				<div class="small faq_author">
					<?php echo JText::_('Written by')?> <?php echo $item->user; ?>
				</div>
			<?php endif;?>
	</div>
	<div style="clear: both;"></div>
	<div class="faq_main">
		<?php
		if ($this->params->get('content_table', 0))
		echo '<table class="contentpaneopen" width="100%">';
		$tab_close = false;
		?> 
		<?php foreach($item->fields AS $field):?>	
			<?php $fparam = new JParameter($field->params);
			if(!$fparam->get('tabled'))
			{
				if(!$tab_close) echo "</table>";
				$tab_close = true;
			}
			else 
			{
				if($tab_close) echo '<table class="contentpaneopen" width="100%">';
				$tab_close = false;
			}
			echo $this->getFieldValue($field, $item->user_id);
			endforeach; 
		if(!$tab_close) echo "</table>";?>
	</div>
 <?php 
 	echo $pane->endPanel();
		$tab = array(); 
		echo "<div class='faq_info'>";	
			echo "<div class='faq_info_left'>";
			if($this->params->get('item_ctime'))
				echo '<span class="createdate">'.$item->ctime->toFormat($this->params->get('item_time_format')).'</span>';		
			if($this->params->get('item_mtime'))
				if($item->mtime) echo '&nbsp;<span class="small">('.JText::_('Updated').'&nbsp;'.$item->mtime->toFormat($this->params->get('item_time_format')).')</span>';
			echo '&nbsp;';				
			echo "</div>";
			
			echo "<div class='faq_info_right'>";	
			if($this->params->get('rating'))
				$tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>";
			if($this->params->get('item_hits')) 
				$tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>";
	 		if($this->params->get('comments'))
	 			$tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>";
	 		if($this->params->get('favorite'))
	 			$tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>";
	 		if(is_array($tab)) 
	 			echo implode(' <span style="color:#f0f0f0"> | </span> ', $tab);
			echo "</div>";
		echo "</div>";
 echo $pane->endPane();
 ?>