<?php
/* 
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$base = $this->baseurl."/components/com_resource/images/tmpl";
$css = "
.clr {
clear:both; }
.cmt-componentheading {
display:none !important; }
.arc-layout {
width:100%; }
.align-left {
text-align:left; }
.arc-left {
float:left; width:170px; padding-right:8px; border-right:1px solid #dbdbdb; }
.arc-maincol {
margin-left:186px; }
.arc-carma {
margin:4px 0 11px; }
";
$document->addStyleDeclaration($css);

$key = 0; $k = 0;
$item = $this->article;
$params = new JParameter(@$item->params);
?>
<div class="arc-layout">
<div class="arc-left">
		<?php if ($params->get('rating')) echo $item->rating; ?>
		<div class="clr"></div>
		<?php if ($item->avatar): ?>
			<?php echo $item->avatar; ?>
		<?php endif; ?>
		<br style="margin-bottom: 5px;" />
<table width="100%" cellspacing="0" cellpadding="2" border="0">
			<?php if ($params->get('item_author') && $item->user): ?>
				<tr>
		<td colspan="2">
						<?php echo $item->user; ?><br />
		<div class="arc-carma">
							<?php if($userCarma = MECommunityHelper::getKarma($item->user_id)){
							echo $userCarma->image;
							echo '<br />'.$userCarma->title.' ('.$userCarma->points.')'; }?>
						</div>
		</td>
	</tr>
			<?php endif; ?>
			<?php if($item->user_category):?>
			 	<tr>
		<td><?php echo JText::_('User Category') ?></td>
		<td><?php echo $item->user_category;?></td>
	</tr> 
	 		<?php endif;?>
			<?php if($params->get('item_categories')):?>
			 	<tr>
		<td><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></td>
		<td><?php echo implode(" | ", $item->categories);?></td>
	</tr> 
	 		<?php endif;?>
			<?php if ($params->get('favorite') && $this->user->get('id')): ?>
				<tr class="align-left">
		<td><?php echo JText::_('Favorite'); ?>:</td>
		<td><?php echo $item->favorite; ?></td>
	</tr>
			<?php endif; ?>
			<?php if ($params->get('rating')): ?>
				<tr class="align-left">
		<td><?php echo JText::_('Votes'); ?>:</td>
		<td><?php echo ($item->votes ? $item->votes : 0); ?></td>
	</tr>
			<?php endif; ?>
			<?php if ($params->get('comments')): ?>
				<tr class="align-left">
		<td nowrap><?php echo JText::_('Replies'); ?>:</td>
		<td><?php echo ($item->comments ? $item->comments : 0); ?></td>
	</tr>
			<?php endif; ?>
			<?php if ($params->get('item_hits')): ?>
				<tr class="align-left">
		<td nowrap><?php echo JText::_('Views'); ?>:</td>
		<td><?php echo ($item->hits ? $item->hits : 0); ?></td>
	</tr>
			<?php endif; ?>
			<?php if ($params->get('favorite')): ?>
				<tr class="align-left">
		<td nowrap><?php echo JText::_('Favorited'); ?>:</td>
		<td><?php echo ($item->favorite_num ? $item->favorite_num : 0); ?></td>
	</tr>
			<?php endif; ?>
			<?php if ($params->get('item_mtime') && $item->mtime): ?>
				<tr class="align-left">
		<td nowrap><?php echo JText::_('Modified'); ?>:</td>
		<td nowrap><?php echo $item->mtime->toFormat('%d %b %Y'); ?></td>
	</tr>
			<?php endif; ?>
		</table>
</div>
<div class="arc-maincol">
<h2 class="contentheading" style="display: inline;"> 
	<?php if ($params->get('item_title')) echo $item->title; ?>
</h2>
<table class="contentpaneopen" cellspacing="0" cellpadding="0"
	border="0">
			<?php $tab_close = false; ?>
			<?php foreach ($item->fields AS $field): ?>		 		
				<?php $fparam = new JParameter($field->params);
					if (!$fparam->get('tabled'))
					{
						if (!$tab_close) echo "</table>";
						$tab_close = true;
					} else {
						if ($tab_close) echo '<table class="contentpaneopen" width="100%">';
						$tab_close = false;
					}
					echo '<p>'.$this->getFieldValue($field, $item->user_id).'</p>';
				?>
			<?php endforeach; ?>
		<?php if (!$tab_close) echo "</table>"; ?>
	</div>
	<div class="clr"></div>
	</div>
	<br />