<?php
/*
*	Mighty Resources Template
*
*	Name: ' JoomlaOrg '
*	Type: Article Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$css = "
.jsc_clr {
	clear:both;
	}
.jsc_clr-l {
	clear:left;
	}
.jsc_clr-r {
	clear:right;
	}
#jsc_template {
	padding:1px;
	}
#jsc_header {
	width:auto;
	}
#jsc_header .contentheading {
	height:auto;
	padding:0;
	}
#jsc_created {
	float:left;
	width:40px;
	height:auto;
	font-family:Verdana;
	margin:2px 11px 7px 3px;
	padding:5px 0;
	}
#jsc_created div {
	text-align:center;
	}
#jsc_object1 {
	color:#ffffff;
	font-size:0.8em;
	font-weight:bold;
	background-color:#000000;
	text-transform:uppercase;
	margin-bottom:4px;
	padding:3px 0 3px 0;
	}
#jsc_object2 { 
	color:#333333;
	font-size:1.8em;
	font-weight:bold;
	}
#jsc_object3 { 
	color:#333333;
	font-size:1.1em;
	font-weight:bold;
	text-transform:uppercase;
	}
#jsc_object4 { 
	color:#333333;
	font-size:0.8em;
	font-weight:normal;
	}
#jsc_iconarea {
	float:right;
	text-align:right;
	margin:5px 0 5px 30px;
	}
.jsc_icon {
	float:left;
	margin-left:4px;
	}
#jsc_header_inner {
	margin-left:52px;
	padding-left:11px;
	padding-bottom:5px;
	border-left:1px solid #000000;
	}
#jsc_header_inner_1 {
	float:left;
	margin:0;
	padding:0;
	}
#jsc_avatar {
	float:left;
	}
#jsc_event {
	float:left;
	padding:5px;
	}
#jsc_event span.small,
#jsc_event span.modifydate,
#jsc_event div#jsc_rating {
	padding-left:20px;
	}
#jsc_event br,
#jsc_notes br {
	margin:8px 0;
	padding:0;
	}
#jsc_header_inner_2 {
	float:left;
	width:96px;
	margin-top:8px;
	margin-left:25px;
	padding:7px 12px 7px 14px;
	border-left:1px solid #000000;
	}
#jsc_notes {
	float:left;
	}
#jsc_maintable {
	margin-left:8px;
	margin-right:8px;
	}
";
$document->addStyleDeclaration($css); ?>

<?php $key = 0; ?>
<?php
	$item = $this->article;
	$params = new JParameter(@$item->params);
?>
<div id="jsc_template">
	<div id="jsc_header">
		<div id="jsc_created">
			<div id="jsc_object1">
				<?php echo $item->ctime->toFormat('%a'); ?>
			</div> <!-- jsc_object1 -->
			<div id="jsc_object2">
				<?php echo $item->ctime->toFormat('%d'); ?>
			</div> <!-- jsc_object2 -->
			<div id="jsc_object3">
				<?php echo $item->ctime->toFormat('%b'); ?>
			</div> <!-- jsc_object3 -->
			<div id="jsc_object4">
				<?php echo $item->ctime->toFormat('%y'); ?>
			</div> <!-- jsc_object4 -->
		</div> <!-- jsc_created -->
		<div id="jsc_iconarea">
			<?php if($item->edit):?>
				<div class="jsc_icon">
					<?php echo $item->edit; ?>
				</div> <!-- jsc_icon -->
			<?php endif; ?>
			<?php if(@$item->pdf):?>
				<div class="jsc_icon">
					<div class="buttonheading">
						<?php echo $item->pdf; ?>
					</div> <!-- buttonheading -->
				</div> <!-- jsc_icon -->
			<?php endif; ?>
			<?php if(@$item->send):?>
				<div class="jsc_icon">
					<div class="buttonheading">
						<?php echo $item->send; ?>
					</div> <!-- buttonheading -->
				</div> <!-- jsc_icon -->
			<?php endif; ?>
			<?php if(@$item->print):?>
				<div class="jsc_icon">
					<div class="buttonheading">
						<?php echo $item->print; ?>
					</div> <!-- buttonheading -->
				</div> <!-- jsc_icon -->
			<?php endif; ?>
		</div> <!-- jsc_iconarea -->
		<div id="jsc_header_inner">
			<div class="contentheading">
				<?php if($params->get('favorite') && $this->user->get('id')) echo $item->favorite; ?>
				<?php if($params->get('item_title')):?>
				<h2 class="contentheading" style="display: inline;"> 
					<?php echo $item->title; ?>
				</h2>
				<?php endif;?>
			</div> <!-- contentheading -->
			<br style="margin-top:7px" />
			<div id="jsc_header_inner_1">
				<?php if($item->avatar):?>
					<div id="jsc_avatar">
						<?php echo $item->avatar; ?>
					</div> <!-- jsc_avatar -->
				<?php endif; ?>
				<div id="jsc_event">
					<?php if($params->get('rating')):?>
						<div id="jsc_rating">
							<?php echo $item->rating; ?>
						</div> <!-- jsc_rating -->
						<br />
					<?php endif; ?>
					<?php if($this->params->get('item_categories')):?>
					 	<span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span><br />
			 		<?php endif;?>
			 		<?php if($item->user_category):?>
					 	<span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span><br />
			 		<?php endif;?>
					<?php if($params->get('item_author') && $item->user):?>
						<span class="small">
							<?php echo JText::_('Written by')?> <?php echo $item->user; ?>
						</span>
						<br />
					<?php endif; ?>
					<?php if($params->get('item_mtime') && $item->mtime):?>
						<span class="modifydate">
							<?php echo JText::_('Last Updated')?>: <?php echo $item->mtime->toFormat($params->get('item_time_format')); ?>
						</span>
					<?php endif; ?>
				</div> <!-- jsc_event -->
				<div id="jsc_header_inner_2">
					<div id="jsc_notes">
						<?php $tab = array(); ?>
						<?php if($params->get('rating')):?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
						<?php endif; ?>
						<?php if($params->get('item_hits')):?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
						<?php endif; ?>
						<?php if($params->get('comments')):?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
						<?php endif; ?>
						<?php if($params->get('favorite')): ?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
						<?php endif; ?>
						<?php if(is_array($tab)) echo implode('<br />', $tab); ?>
					</div> <!-- jsc_notes -->
				</div> <!-- jsc_header_inner_2 -->
				<div class="jsc_clr-l"></div>
			</div> <!-- jsc_header_inner_1 -->
			<div class="jsc_clr-l"></div>
		</div> <!-- jsc_header_inner -->
		<div class="jsc_clr-l"></div>
	</div> <!-- jsc_header -->
	<br />
	
	<div class="jsc_clr-l"></div>
	<div id="jsc_maintable">
		<table class="contentpaneopen" width="100%" border="0">
			<?php $tab_close = false;?> 
			<?php foreach($item->fields AS $field):?>		 		
				<?php 
				$fparam = new JParameter($field->params);
				if(!$fparam->get('tabled'))
				{
					if(!$tab_close) echo "</table>";
					$tab_close = true;
				}
				else 
				{
					if($tab_close) echo '<table class="contentpaneopen" width="100%">';
					$tab_close = false;
				}
				echo $this->getFieldValue($field, $item->user_id);
				?>
			<?php endforeach;?>
		<?php if(!$tab_close) echo "</table>"; ?>
		<div class="jsc_clr-l"></div>
	</div> <!-- jsc_maintable -->
</div> <!-- jsc_template -->
<div class="jsc_clr-l"></div>
<br />