<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<?php $key = 0; $k = 0;?>
<?php
	$item = $this->article;
	$params = new JParameter(@$item->params);

?>

	
<div class="contentpaneopen">
<table class="contentpaneopen" width="100%">
 	<tr>
 		<td width="100%" ><?php if($item->edit)echo $item->edit?>
 		<?php if($this->params->get('item_title')):?>
 		<h2 class="contentheading" style="display: inline;"> 
 			<?php echo  $item->title; ?>
 		</h2>
 		<?php endif;?>
 		</td>
 		<?php if(@$item->pdf):?>
 		<td class="buttonheading"><?php echo $item->pdf;?></td>
 		<?php endif;?>
 		<?php if(@$item->send):?>
 		<td class="buttonheading"><?php echo $item->send;?></td>
 		<?php endif;?>
 		<?php if(@$item->print):?>
 		<td class="buttonheading"><?php echo $item->print;?></td>
 		<?php endif;?>
 	</tr>
 </table>
 
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="blog" summary="Blog">
	<tr valign="top">
		<td>
	 		<?php if($this->params->get('item_ctime')):?>
				<span class="createdate"><?php echo $item->ctime->toFormat($this->params->get('item_time_format'));?></span>
			<?php endif;?>
			<table class="contentpaneopen" width="100%">
				<?php $tab_close = false;?> 
				<?php foreach($item->fields AS $field):?>		 		
					<?php 
					$fparam = new JParameter($field->params);
					if(!$fparam->get('tabled'))
					{
						if(!$tab_close) echo "</table>";
						$tab_close = true;
					}
					else 
					{
						if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
						$tab_close = false;
					}
					echo $this->getFieldValue($field, $item->user_id);
					?>
				<?php endforeach;?>
			<?php if(!$tab_close) echo "</table>"; ?>
			
		</td>
		
		<td width="120px" align="center">

			<div id="rounded<?php echo $k;?>">
			<div class="t">
				<div class="t">
					<div class="t"></div>
				</div>
			</div>
			<div class="m">	
			
			<?php if($item->avatar): ?>
 				<?php echo $item->avatar;?>
 			<?php endif; ?>
 			
 			<br><br>
			<table border="0" cellpadding="2">
					<?php if($params->get('item_author') && $item->user):?>
						<tr>
							<td nowrap><?php echo JText::_('Written By');?>:</td>
							<td><?php echo $item->user;?></td>
						</tr>
					<?php endif;?>
					<?php if($item->user_category):?>
					 	<tr>
					 		<td><?php echo JText::_('User Category') ?></td>
					 		<td><?php echo $item->user_category;?></td>
					 	</tr> 
			 		<?php endif;?>
					<?php if($this->params->get('item_categories')):?>
					 	<tr>
					 		<td><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></td>
					 		<td><?php echo implode(" | ", $item->categories);?></td>
					 	</tr> 
			 		<?php endif;?>
					<?php if($params->get('rating')):?>
						<tr>
							<td colspan="2"><?php echo $item->rating;?></td>
						</tr>
					<?php endif;?>
					<?php if($params->get('rating')):?>
						<tr>
							<td><?php echo JText::_('Votes');?>:</td>
							<td><?php echo ($item->votes ? $item->votes : 0);?></td>
						</tr>
					<?php endif;?>
					<?php if($params->get('favorite') && $this->user->get('id')):?>
						<tr>
							<td><?php echo JText::_('Favorite');?>:</td>
							<td><?php echo $item->favorite;?></td>
						</tr>
					<?php endif;?>
					<?php if($params->get('comments')):?>
						<tr>
							<td nowrap><?php echo JText::_('Comments');?>:</td>
							<td><?php echo ($item->comments ? $item->comments : 0);?></td>
						</tr>
					<?php endif;?>
					<?php if($params->get('item_hits')):?>
						<tr>
							<td nowrap><?php echo JText::_('Hits');?>:</td>
							<td><?php echo ($item->hits ? $item->hits : 0);?></td>
						</tr>
					<?php endif;?>
					<?php if($params->get('favorite')):?>
						<tr>
							<td nowrap><?php echo JText::_('Favorited');?>:</td>
							<td><?php echo ($item->favorite_num ? $item->favorite_num : 0);?></td>
						</tr>
					<?php endif;?>
					<?php if($params->get('item_mtime') && $item->mtime):?>
						<tr>
							<td nowrap><?php echo JText::_('Modified');?>:</td>
							<td nowrap><?php echo $item->mtime->toFormat('%d %b %Y');?></td>
						</tr>
					<?php endif;?>
 			</table>
 			<div class="clr"></div>
			</div>
			<div class="b">
				<div class="b">
					<div class="b"></div>
				</div>
			</div>
			</div>
 			
 			
		</td>
	</tr>
</table>
<?php if($params->get('item_tag') && $item->tags):?>
	<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
<?php endif;?>
</div>	
<br />