<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
/* @author Aldash Biybosunov */
if(isset($this)){
	$_this = $this;
}elseif(isset($that)){
	$_this = $that;
}
$document = &JFactory::getDocument();
$leftcol_width = $_this->params->get("cmtLeftColWidth", "90px");
$css = "
.cmt-layout {
width:100%; }
.cmt-leftcol {
float:left; width:$leftcol_width; margin-right:8px; }
.cmt-avt {
float:left; width:auto; border:4px solid #e4f6fc; }
.cmt-rate {
display:block; width:50px; height:24px; font-size:20px; padding-top:7px; vertical-align:baseline; text-align:center;
background:url('$_this->baseurl/components/com_resource/images/r$iname.png'); }
.cmt-rightcol {
position:relative; margin-left:$leftcol_width; }
.cmt-rightcol-bg {
background:#f2f2f2; padding:5px; border:1px solid #e0e1e2; }
.cmt-quotearrow {
position:absolute; left:-10px; top:21px; }
.cmt-bottomcorners {
position:relative; bottom:5px; height:5px; background:url('$_this->baseurl/components/com_resource/images/bablyas3.gif') no-repeat left bottom; }
";
$document->addStyleDeclaration($css);
global $comment, $k;
$data = new JDate($comment->ctime);
$k = 1 - $k;
$iname = '0';
if ($comment->rate > 0) $iname = 'plus';
if ($comment->rate < 0) $iname = 'minus';
?>
<div class="cmt-layout">
	<div class="cmt-leftcol">
		<?php if ($_this->params->get('comments_avatar')): ?>
			<div class="cmt-avt">
				<?php echo $comment->avatar; ?>
			</div>
		<?php endif; ?>
		<?php if ($_this->params->get('comments_rate')): ?>
			<span id="comment_rate_num_<?php echo $comment->id; ?>" class="cmt-rate">
				<?php echo $comment->rate; ?>
			</span>
		<?php endif; ?>
		<?php if ($comment->can_rate): ?>
			<span id="comment_rate_<?php echo $comment->id ?>">
				<a href="javascript:void(0);" onclick="xajax_jsrRateComment('+', '<?php echo $comment->id ?>')">
					<img src="components/com_resource/images/thumbs_up.gif" border="0" align="absmiddle" />
				</a>
				&nbsp;|&nbsp;
				<a href="javascript:void(0);" onclick="xajax_jsrRateComment('-', '<?php echo $comment->id ?>')">
					<img src="components/com_resource/images/thumbs_down.gif" border="0" align="absmiddle" />
				</a>
			</span> 
		<?php endif; ?>
	</div>
	<div class="cmt-rightcol">
		<div class="cmt-quotearrow">
			<img src="<?php echo $_this->baseurl; ?>/components/com_resource/images/bablyas5a.gif" width="11" height="13" alt="Quote" />
		</div>
		<img style="float:left; width:5px; position:relative; right:8px;" src="<?php echo $_this->baseurl; ?>/components/com_resource/images/bablyas1.gif" width="5" height="5" alt="-" />
		<img style="float:right; width:5px;" src="<?php echo $_this->baseurl; ?>/components/com_resource/images/bablyas2.gif" width="5" height="5" alt="-" />
		<div class="cmt-rightcol-bg">
			<?php if ($_this->params->get('comments_title')): ?>
				<div class="contentheading"><?php echo $comment->subject; ?></div>
			<?php endif; ?>
			<?php if ($_this->params->get('comments_author')): ?>
				<span class="small">
					<?php echo JText::_('Written by'); ?> <?php echo $comment->name.' on '; ?>
				</span>
			<?php endif; ?>
			<span class="createdate">
				<?php echo $data->toFormat($_this->params->get('comment_time_format')); ?>
			</span>
			<?php echo '<p>'.$comment->comment.'</p>'; ?> 
			<?php if ($comment->control) echo '<div class="cmt-control">'.$comment->control.'</div>'; ?>
			<div id="editor_comment_<?php echo $comment->id ?>"></div>
		</div>
		<div class="cmt-bottomcorners">
			<img style="float:right; width:5px;" src="<?php echo $_this->baseurl; ?>/components/com_resource/images/bablyas4.gif" width="5" height="5" alt="-" />
		</div>
	</div>
</div>
<div class="clr" style="margin-bottom:6px;"></div>