<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<div class="contentpane">
<h2 class="contentheading"><?php echo JText::_('Categories')?></h2> 

<table width="100%" cellpadding="5" cellspacing="0" border="0" summary="Subcategories">
	<?php 
	$rows 	= count($this->categories) / $this->params->get('cat_cols', 2);
	$rows 	= ceil($rows);
	$key 	= 0;
	$width 	= round(100 / $this->params->get('cat_cols', 2));
	
	for ($c=0; $c<$rows; $c++) :?>
		<tr valign="top">
		<?php for ($i=0; $i<$this->params->get('cat_cols', 2); $i++) :?>
			<td width="<?php echo $width; ?>%"><?php
			if(@$this->categories[$key])
			{
				$category = $this->categories[$key];
				if(JRequest::getInt('category_id') == $category->id) {$stl = ' style="font-weight:bold" ';} else {$stl = '';}
				//$link = "index.php?option=com_resource&view=list&category_id={$category->id}&Itemid=".MEUrl::itemid(NULL, $category->id);
				//$link = MEUrl::linkAdditions($link);
				$link = MEUrl::link_list($category->id);
				?>
				<table>
					<tr valign="top">
						<?php if($this->params->get('cat_img') && $category->image): ?>
						<td><?php echo JHTML::image(JURI::root().'images/stories/'.$category->image, '', array('align'=>$category->image_position)); ?></td>
						<?php endif; ?>
						<td>
							<a <?php echo $stl ?> class="category" href="<?php echo MERoute::_($link); ?>"><big><?php echo $category->name; ?> 
							<?php if($this->params->get('cat_nums') == 1) echo " <span class='small'>({$category->nums})</span> "; ?></big></a>
							
							<?php if($this->params->get('cat_descr')&& $category->description): ?>
							<span class="small"><?php echo '<br />'.$category->description; ?></span>
							<?php endif; ?>
							
							<?php if(count($category->children)): ?>
								<?php echo 	'<br />'.implode($this->params->get('subcat_separator', ' | '), jcsFetchCategories($category->children, $category->id, $this)); ?>
							<?php endif; ?>
							
						</td>
					</tr>
				</table>
			<?php
			}
			$key++; 
			?>
			</td>
		<?php endfor;?>
		</tr>
	<?php endfor;?>
</table>

</div>
<?php 
function jcsFetchCategories($categories, $parent, $that, $k=0)
{
	if(!$categories) return;
	$out = array();
	foreach ($categories AS $child)
	{
		if(JRequest::getInt('category_id') == $child->id) {$stl = ' style="font-weight:bold" ';} else {$stl = '';}
		//$link = "index.php?option=com_resource&view=list&".
		//"category_id={$child->id}&Itemid=".MEUrl::itemid(NULL, $child->id);
		//$link = MEUrl::linkAdditions($link);
		$link = MEUrl::link_list($child->id);
		$chl = "<a $stl class=\"child\" href=\"".MERoute::_($link)."\">$child->name</a>".
		($that->params->get('subcat_nums') == 1 ? " <span class=small>($child->nums)</span> " : ""  );
		
		$out[] = trim($chl);
		
		$add = jcsFetchCategories($child->children, $child->id, $that, $k + 1);
		if(is_array($add)) $out = array_merge($out, $add);
	}

	return $out;
}?>