<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); 
////////Helper functions set//////////////////////////////////
/////////////////////////****////////////////////////////////
if (!function_exists('jcsFetchCategories')){
function jcsFetchCategories($categories, $parent, $that, $k = 0)
{
	if(!@$categories) return;
	$out = array();
	foreach ($categories AS $child)
	{
		if(JRequest::getInt('category_id') == $child->id) {$stl = ' style="font-weight:bold;" ';} else {$stl = '';}
		$link = MEUrl::link_list($child->id);
		$chl = "<a $stl class=\"child\" href=\"".MERoute::_($link)."\">$child->name</a>".
		($that->params->get('subcat_nums') == 1 ? " <span class=\"hypsmall small\">($child->nums)</span> " : ""  );
		
		$out[] = trim($chl);
		
		$add = jcsFetchCategories($child->children, $child->id, $that, $k + 1);
		if(is_array($add)) $out = array_merge($out, $add);
	}
	//echo implode(" <span class=\"small\">,</span> ", $out);
	return $out;
}
}
///Get count of all comments or one latest comment from the category
/// $catid id of category whrere from comment should be taken
/// $mode if true return last comment, if false return count of all comments in category
function getPosts($catid, $mode = true){
	$db = JFactory::getDBO();
	$user = & JFactory::getUser();
//	$lang = & JFactory::getLanguage();
	$where = null;
	if( $user->get('usertype') != 'Super Administrator' ) $where .= ' AND com.published = 1 AND com.hide = 0';
//	if( $params->get('comments_lang_mode') ) $where .= " AND lang = '" . $lang->getTag() . "' ";
	$where .= " AND com.access <= " . (int)$user->get('aid');
	if ($mode){
		$sql = "SELECT com.* AS count FROM #__js_res_comments AS com ".
			"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
			"INNER JOIN #__js_res_record AS rec ON rec.id = reccat.record_id ".
			"WHERE com.record_id = rec.id ".$where.' '.
			"ORDER BY `com`.`ctime` DESC ".
			"LIMIT 1";
		$db->setQuery($sql);
		$result = $db->loadObject();
	}
	else{
		$sql = "SELECT COUNT(*) AS count FROM #__js_res_comments AS com ".
			"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
			"INNER JOIN #__js_res_record AS rec ON rec.id = reccat.record_id ".
			"WHERE com.record_id = rec.id".$where;
		$db->setQuery($sql);
		$result = $db->loadResult();
	}
	return $result;
}
//Get Lats topic, accually Resources' comment from the provided category
//$cat_id category id which we are looking for
//$mode if true return the last comment false return the sum of hits to all records in the category
function getTopic($catid, $mode = true){
	$db = JFactory::getDBO();
	$user = & JFactory::getUser();
	if( $user->get('usertype') != 'Super Administrator' ) $where .= ' AND rec.published = 1';
	$where .= " AND rec.access <= " . (int)$user->get('aid');
	if ($mode){
		$sql = "SELECT rec.* FROM #__js_res_record AS rec ".
		"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
		"WHERE reccat.record_id = rec.id".$where.' '.
		"ORDER BY rec.ctime DESC ".
		"LIMIT 1";
		$db->setQuery($sql);
		$result = $db->loadObject();
	}
	else{
		$sql = "SELECT SUM(rec.hits) FROM #__js_res_record AS rec ".
		"INNER JOIN #__js_res_record_category AS reccat ON reccat.catid = $catid ".
		"WHERE reccat.record_id = rec.id".$where;
		$db->setQuery($sql);
		$result = $db->loadResult();
	}
	return $result;
}
//Get the username or name of specified user id
// $id is user id
// $that help information from the configuration array of $this to know what to use username or name and how to arrange link itself (none, link, popup and so on)
function getUserInfo($id, $that){
	$db = JFactory::getDBO();
	$sql = "SELECT * FROM #__users WHERE id = $id";
	$db->setQuery($sql);
	$link_name = $that->params->get('link_name', 1);
	$use_name = $that->params->get('use_name', 'username');
	$names = $db->loadObject();
	$name = $names->$use_name;
	$user_id = $names->id;
	
	if (!$name) return;
		switch ($link_name){
		case 1:
			$result = $name;
			break;
		case 2:
			if( is_dir( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_community') ) {
				$commenter_profile_link = MERoute::_("index.php?option=com_community&controller=profile&user_id={$user_id}&Itemid=".JRequest::getInt('Itemid'));
				$result = JHTML::link( $commenter_profile_link, $name);
			} else if( is_dir( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_comprofiler') ) {
				$commenter_profile_link = MERoute::_("index.php?option=com_comprofiler&task=userProfile&user={$user_id}&Itemid=".JRequest::getInt('Itemid'));
				$result = JHTML::link( $commenter_profile_link, $name );
			}
			break;
		case 3:
			$uri = JFactory::getURI();
			$uri->setVar( 'user_id', $user_id );
			$result = JHTML::link( MERoute::_($uri->toString()), $name );
			break;
		case 4:
			$result = JSCommunityApi::getUserSlideMenu($user_id, $name);
			break;
		}
	return $result;
}
?>

<div class="contentpane">
<h2 class="contentheading"><?php echo JText::_('Boards List')?></h2> 
<table width="100%" cellpadding="<?php echo $cellpadding; ?>" cellspacing="0" border="0">
<tr class="sectiontableheader">
	<?php if($this->params->get('show_cat_img', 1)): ?>
		<td class="sectiontableheader" width="1%"><?php echo JText::_('Image'); ?></td>
	<?php endif; ?>
	<td class="sectiontableheader"><?php echo JText::_('Forum'); ?></td>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Description'); ?></td>
	<?php if($this->params->get('cat_nums', 1) == 1):?>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Topics'); ?></td>
	<?php endif; ?>
	<?php if($this->params->get('show_posts', 1)):?>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Replies'); ?></td>
	<?php endif; ?>
	<?php if($this->params->get('show_views', 1) == 1):?>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Views'); ?></td>
	<?php endif; ?>
	<?php if($this->params->get('last_topic', 1)):?>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Last Topic'); ?></td>
	<?php endif; ?>
	<?php if($this->params->get('last_post', 1)):?>
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Last Post'); ?></td>
	<?php endif; ?>
</tr>
<?php 
$rows 	= count($this->categories);
$key 	= 0;
//$width 	= round(100 / $this->params->get('cat_cols'));
$sec = 1;
$dformat = $this->params->get('date_format', 'd-M-Y');
$def_img = $this->params->get('resStatusField');

for ($c=0; $c<$rows; $c++) :
$k = 1 - $k; ?>
	<tr valign="top" class="sectiontableentry<?php echo ($k + 1); ?>">
		<?php
		if(@$this->categories[$key])
		{
			$category = $this->categories[$key];
			if(JRequest::getInt('category_id') == $category->id) {$stl = ' style="font-weight:bold" ';} else {$stl = '';}
			//$link = "index.php?option=com_resource&view=list&category_id={$category->id}&Itemid=".MEUrl::itemid(NULL, $category->id);
			//$link = MEUrl::linkAdditions($link);
			//if($this->params->get('cat_nums') == "rec" ) echo " ($category->items_num) ";
			$link = MEUrl::link_list($category->id);
			
			//Image
			if($this->params->get('show_cat_img', 1)){ 
				$image= '&nbsp;';
				if ($category->image){
				$image = JHTML::image(JURI::root().'images/stories/'.$category->image, '', array('align'=>$category->image_position));
				}
				else{
					if ($def_img)
					$image = JHTML::image(JURI::root().'components/com_resource/images/tmpl/forum_index.png', '');
					else
					$image ="&nbsp;";
				}				
				echo "<td>".$image.'</td>';
			}
			
			//Forum
			echo "<td width='15%'><a $stl class=\"category\" href=\"".MERoute::_($link)."\"><big>$category->name</big></a>";
			if(@$category->children)
			{		
				echo '<p>'.JText::_('Subforums').': ';
				$clist = jcsFetchCategories($category->children, $category->id, $this);
				echo implode(", ", $clist).'</p> ';
			}
			echo "</td>";
			
			//Desctiption
			if($this->params->get('cat_descr')&& $category->description) echo '<td width="15%">'.$category->description.'</td>';
			
			//Topics
			if($this->params->get('cat_nums', 1) == 1 ) echo " <td width='5%' align='center'><span class='forum_topics'>$category->nums</span></td>";
			
			//Posts
			if($this->params->get('show_posts', 1)){ 
				$count = getPosts($category->id, false);
				echo " <td width='5%' align='center'><span class='forum_posts'>$count</td>";
			}
			
			//Views
			if($this->params->get('show_views', 1) == 1){
				$views = getTopic($category->id, false);
				!$views? $views = 0: '';
				echo "<td width='5%' align='center'><span class='forum_views'>$views</span></td>";
			}
			
			//Last Topic
			if($this->params->get('last_topic', 1)){
				$topic = getTopic($category->id);
				if ($topic){
					$rec_id = $topic->id;
					$title = $topic->title;
					$user_id = $topic->user_id;
					$hits = $topic->hits;
					if($topic->ctime != 0) $ctime = date($dformat, strtotime($topic->ctime));
					if ($topic->mtime != 0) $mtime = date($dformat, strtotime($topic->mtime));
					if($topic->extime != 0) $extime = date($dformat, strtotime($topic->extime));
					
					$author = getUserInfo($user_id, $this);
					//$link = MERoute::_("index.php?option=com_resource&amp;controller=article&amp;article=$rec_id&amp;category_id={$category->id}");
					$link = MEUrl::link_record($topic, $category->id);
					$topic = JHTML::link($link, $title, null);
					$author? $topic .= "<br>".JText::_('Author').":&nbsp;$author": null;
					$hits? $topic .= "<br>".JText::_('Hits').":&nbsp;$hits": null;
					$ctime? $topic .= "<br>".JText::_('Created').":&nbsp;<span class='createdate'>$ctime</span>": null;
					$mtime? $topic .= "<br>".JText::_('Modified').":&nbsp;<span class='createdate'>$mtime</span>": null;
					$extime != 0? $topic .= "<br>".JText::_('Expired').":&nbsp;<span class='createdate'>$extime</span>": null;
				}
				else{
					$topic = JText::_('No Topics');
				}
				echo " <td width='10%'><span class='forum_lasttopic'>$topic</span></td>";
			}
		
			//Last Post
			if($this->params->get('last_post', 1)){
				$post = getPosts($category->id);
				if($post){
				$rec_id = $post->record_id;
				//$link = MERoute::_("index.php?option=com_resource&amp;controller=article&amp;article=$rec_id&amp;category_id={$category->id}");
				$link = MEUrl::link_record($rec_id, $category->id);
				$user_id = $post->user_id;
				$subject = $post->subject;
				$comment = strip_tags($post->comment);
				$comment_t = substr($comment, 0, $this->params->get('max_post', 250));
				if (strlen($comment) > strlen($comment_t)) $comment = $comment_t.'...';
				if($post->ctime != 0) $ctime = date($dformat, strtotime($post->ctime));
				$name = $post->name;
				
				$author = getUserInfo($user_id, $this);
				$last_post = $subject;
				$last_post .= '<br>'.JText::_('By').":&nbsp;$author";
				$comment? $last_post .= "<br><span class=\"small\">$comment</span>": null;
				$rec_id? $last_post .= '<br>'.JHTML::link($link, JText::_('Check details...'), null): null;
				$ctime? $last_post .= "<br>".JText::_('Posted:')."&nbsp;<span class='createdate'>$ctime</span>": null;
				}
				else{
					$last_post = JText::_('No Posts');
				}
				echo " <td width='10%'><span class='forum_lastpost'>$last_post<span></td>";
			}
		}
		else echo '&nbsp;'; $key++; ?>
	</tr>
<?php endfor; ?>

</table>
</div>