<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>

<?php
$document = &JFactory::getDocument();
$document->addScript( JURI::root().'components/com_resource/library/js/dropdown.js' );
?>
<style type="text/css">
	div.fworn
	{
		float: left;
		height: 40px;
		margin: 5px;
		background: url(<?php echo JURI::root() ?>components/com_resource/images/f-l.png) no-repeat;
		background-position: top left;
	}
	
	div.fworn div
	{
		height: 40px;
		padding: 3px 3px 3px 8px;
		background: url(<?php echo JURI::root() ?>components/com_resource/images/f-r.png) no-repeat;
		background-position: top right;
		white-space: nowrap;
	}
	
	div.fworn div img
	{
		padding-right: 4px;
		margin-left: -4px;
		float: left;
		cursor: pointer;
	}
	a.alpha_active, span.alpha {
		float:left;
		margin: 2px;
		padding: 3px;
		border: 1px solid gray;
		width: 20px;
	}
	a.alpha_active {
		font-weight: bold;
		background-color: silver;
	}
	
	.forum_filter{
		margin: 5px 0;
	}
	#advanced_search div{
		padding: 10px;
	}
</style> 

<div class="contentpane forum_filter">
<div>
  <b class="spiffy">
  <b class="spiffy1"><b></b></b>
  <b class="spiffy2"><b></b></b>
  <b class="spiffy3"></b>
  <b class="spiffy4"></b>
  <b class="spiffy5"></b></b>
<div class="forum_modern_tb">
<table width="100%" cellpadding="3" cellspacing="0" border="0" summary="filters">
	<tr class="spiffyfg">
		<td colspan="6"><?php echo JText::_('Forum Search')?></td>
	</tr>
	<tr>
		<?php 
	    if($this->params->get('filters_category'))
		{
			echo '<td align="left" width="1%">';
			echo $filter_category = JHTML::_('select.genericlist', $this->filter_category, 'id_category', 
				"class=\"inputbox\"  onchange=\"window.location = this.value;\"", 'value', 'text', MERoute::_(MEUrl::link_list(JRequest::getInt('category_id'))));
			$this->filter_category;
			echo '</td>';
		}
		?>
		
		<?php if($this->params->get('filters_search')): ?>
			<td width="1%" align="right">
				<input type="text" class="inputbox" value="<?php echo $this->search_default;?>" name="filter_search" />
			</td>
			<td align="right" width="1px" nowrap="nowrap">
				<input type="button" value="<?php echo JText::_('Go')?>" class="inputbox" onclick="document.adminForm.submit()" />
			</td>	
		<?php endif; ?>
		<td align="left">
		
		<a href="javascript:void(0);" id="forum_advanced" rel="advanced_search"><b><?php echo JText::_('Advanced'); ?></b></a>
		<div align="left" id="advanced_search" style="position:absolute; z-index: 100; visibility: hidden;">
			<div>
			  <b class="spiffy">
			  <b class="spiffy1"><b></b></b>
			  <b class="spiffy2"><b></b></b>
			  <b class="spiffy3"></b>
			  <b class="spiffy4"></b>
			  <b class="spiffy5"></b></b>
			  	<div class="spiffyadvsearch">
				<?php if($this->params->get('filter_order')): ?>
				<div class="forum_orders">
					<?php if($this->params->get('order_ctime')):?>
				 		<?php echo JHTML::_('grid.sort',  JText::_('Created'), 'r.ctime', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
				
					<?php if($this->params->get('order_title')):?>
						<?php echo JHTML::_('grid.sort',  JText::_('Title'), 'r.title', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
					
					<?php if($this->params->get('order_autor')):?>
				 		<?php echo JHTML::_('grid.sort',  JText::_('Author'), 'u.username', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
				 	
					<?php if($this->params->get('order_hits')):?>
				 		<?php echo JHTML::_('grid.sort',  JText::_('Hits'), 'r.hits', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
					
					<?php if($this->params->get('order_mtime')):?>
				 		<?php echo JHTML::_('grid.sort',  JText::_('Modified'), 'r.mtime', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
					
					<?php if($this->params->get('order_rate')):?>
				 		<?php echo JHTML::_('grid.sort',  JText::_('Rated'), 'rate', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
				 	
					<?php if($this->params->get('order_comment')):?>
				 		<?php echo JHTML::_('grid.sort',  JText::_('Commented'), 'comment', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
				 	
					<?php if($this->params->get('order_favorite')):?>
				 		<?php echo JHTML::_('grid.sort',  JText::_('Favorited'), 'favorite', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					<?php endif;?>
					
				<?php if($this->params->get('order_fields')):?>
					<?php foreach ($this->columns AS $col):?>
						<?php if($col['params']->get('sortable')): ?>
							<?php echo $this->params->get('client') == 'module' ? JText::_('Modified') : JHTML::_('grid.sort',  $col['title'], 'vo'.$col['id'].'.field_value', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
						<?php endif; ?>
					<?php endforeach; ?>
				<?php endif; ?>
					
				</div>
	
			<?php endif; ?>
			<!--  =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
				Show alphaindex if it is turned on for section. Please always use 
				this condition if you want create 100% compatible filter template.
			=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  -->
			<?php if($this->params->get('alpha_index')): ?>
			<div class="forum_alpha" style="width: 300px; text-align: center;">
				<?php foreach ($this->lists['alpha'] AS $a) : ?>
					<?php echo $this->renderAlpha($a, $this->params, true); ?>
				<?php endforeach;?>
			</div>
		<div style="clear: both;"></div>
			<?php endif; ?>
			
			
			<?php if($this->params->get('filters_fields')): ?>
			<div class="forum_filters">
				<?php 
				if(count($this->ifilters))
				{
					foreach($this->ifilters AS $title => $filter)
					{
					echo'<span style="float: left;">';
					if(is_array($filter['values']))
					{?>
						<b><?php echo $filter['filter']->title; ?></b><br/>
							<?php
								//print_r($values->default);
								foreach ($filter['values'] AS $fkey => $values){
								?>
								<input type="checkbox" <?php if(@in_array($values->value, @$filter['filter']->default)) echo 'checked="checked"' ?> name="filter<?php echo $filter['filter']->id; ?>[]" value="<?php echo $values->value ?>" /> <?php echo $values->text ?><br/>
								<?php
								}?>
							<?php 
							}
					echo '</span>';
					}
				}
				?>
				</div>
		<div style="clear: both;"></div>
			<?php endif; ?>
			
			<?php if($this->ifilters_ext): ?>
			<div class="forum_filtersadv">
				<?php foreach ($this->ifilters_ext AS $filter_ext): ?>
					<b><?php echo $filter_ext->title; ?></b>
							<?php echo $filter_ext->result; ?>
				<?php endforeach; ?>
			</div>
			<?php endif; ?>
			<span style="padding-left:90%; white-space: nowrap;">
			<a href="javascript:document.adminForm.submit()">
				<img src="<?php echo JURI::root()?>components/com_resource/images/icons/ok_128.png" title="<?php echo JText::_('Apply'); ?>" alt="<?php echo JText::_('Apply'); ?>" />
			</a>
			<a href="javascript:dropdowncontent.hidediv('advanced_search')">
				<img src="<?php echo JURI::root()?>components/com_resource/images/icons/cancel.png" title="<?php echo JText::_('Close'); ?>" alt="<?php echo JText::_('Close'); ?>" />
			</a>
			</span>
			 </div>
			  <b class="spiffy">
			  <b class="spiffy5"></b>
			  <b class="spiffy4"></b>
			  <b class="spiffy3"></b>
			  <b class="spiffy2"><b></b></b>
			  <b class="spiffy1"><b></b></b></b>
			</div>
		</div>
		<script type="text/javascript">
			dropdowncontent.init("forum_advanced", "right-bottom", 200, "click");
		</script>	
		</td>
		
		<td align="right">
			<?php if($this->views && $this->params->get('template_switcher')): ?>
			<div class="forum_switchertmpl">
				<b><?php echo JText::_('Views'); ?></b>
				<?php foreach($this->views As $view): ?>
					<a id = "<?php echo $view->name;?>_switcher" rel="<?php echo $view->name;?>_img" href="javascript:void(0);" ><?php echo $view->title ?></a>
						<div id="<?php echo $view->name;?>_img" style="position:absolute; z-index: 100; visibility: hidden; border: 1px solid black; background-color: white; padding: 5px;">
							<a href="javascript:void(0);" onclick="document.adminForm.filter_tpl.value = '<?php echo $view->name ?>'; document.adminForm.submit();">
								<img src="<?php echo JURI::root()?>components/com_resource/images/icons/ok_128.png" title="<?php echo JText::_('Switch'); ?>" alt="<?php echo JText::_('Switch'); ?>" />
							</a>
							<a href="javascript:dropdowncontent.hidediv('<?php echo $view->name ?>_img')">
								<img src="<?php echo JURI::root()?>components/com_resource/images/icons/cancel.png" title="<?php echo JText::_('Close'); ?>" alt="<?php echo JText::_('Close'); ?>" />
							</a>		
							<br />
							<img alt="<?php echo $view->title;?>" src="<?php echo JURI::root()?>components/com_resource/views/list/tmpl/default_subtmpl_<?php echo $view->name;?>.png" />
						</div>
				<script type="text/javascript">
					dropdowncontent.init("<?php echo $view->name;?>_switcher", "left-bottom", 200, "mouseover");
				</script>	
				<?php endforeach; ?>
				</div>
			<?php endif; ?>
		</td>
		
		<?php if($this->filter_rss): ?>
		<td align="right" width="1px" nowrap="nowrap">
			<a title="<?php echo JText::_('RSS Current Search'); ?>" style="float:left" href="<?php echo $this->filter_rss ?>" target="_blank"><img src="<?php echo JURI::root() ?>/components/com_resource/images/rss22.png" align="absmiddle" border="0" vspace="5"></a>
		</td>
		<?php endif; ?>
		
	</tr>
</table>






	<!--  =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
		Show Filter warrning boxes if it is turned on for section
		and there are filters applied. Please always use this condition 
		if you want create 100% compatible filter template.
	=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  -->
	<?php if($this->params->get('filters_worn') && (count($this->fworn) > 0)): ?>
		<br />
		<?php
		if(count($this->fworn) > 1)
		{
			$url = JURI::getInstance($this->action);
			$url->setVar('filter_reset', 1);
			echo '<p>'.JHTML::link($url->toString(), JText::_('Reset All Filters')).'</p>';
		}
		?>
		<?php foreach ($this->fworn as $filter_name => $worn): ?>
			<div class="fworn"><div>
			<img hspace="0" title="<?php echo JText::_('Close Filter'); ?>" src="<?php echo JURI::root() ?>components/com_resource/images/f-c.png" onclick="document.adminForm.<?php echo $filter_name ?>.value=1; document.adminForm.submit();" />
			<span class="small"><?php echo $worn['name']; ?></span><br />
			<b><?php if(is_array($worn['value'])) echo implode(", ", $worn['value']); else echo $worn['value']; ?></b>
			<b><?php //if(count($worn['value']) > 0) echo implode(", ", $worn['value']); ?></b>
			</div></div>
		<?php endforeach; ?>
		<div style="clear: both;"></div>
		<br />
	<?php endif; ?>
</div>
  	<div class="spiffyfg" style="height: 6px;">&nbsp;</div>
  <b class="spiffy">
  <b class="spiffy5"></b>
  <b class="spiffy4"></b>
  <b class="spiffy3"></b>
  <b class="spiffy2"><b></b></b>
  <b class="spiffy1"><b></b></b></b>
</div>
</div>
