<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>

<?php
$document = &JFactory::getDocument();
$document->addScript( JURI::root().'components/com_resource/library/js/dropdown.js' );
?>
<script	type="text/javascript">
  	function flipimageON(tab, panel) {
		<?php if($this->params->get('filters_fields') && count($this->ifilters)): ?>
			<?php $k=1; foreach($this->ifilters AS $title => $filter): ?>
				document.getElementById('tab<?php echo $k; $k++; ?>').className='tabInactive';
				document.getElementById('filter_<?php echo $filter['filter']->id ?>').className='contentPanelHidden';
			<?php endforeach; ?>
		<?php endif; ?>
		
		<?php if($this->ifilters_ext): ?>
			<?php $k=1; foreach($this->ifilters_ext AS $title => $filter_ext): ?>
				document.getElementById('tab<?php echo $k; $k++; ?>').className='tabInactive';
				document.getElementById('filter_ext_<?php echo $filter_ext->id ?>').className='contentPanelHidden';
			<?php endforeach; ?>
		<?php endif; ?>
		tab.className='tabActive';
		document.getElementById(panel).className='subcontent';		
	}
</script>	
	
<div class="contentpane" id="rounded1">

<div class="t">
<div class="t">
		<div class="t"></div>
	</div>
</div>
<div class="m" style="margin: 0px;">	

<table width="100%" cellpadding="3" cellspacing="0" border="0" summary="filters">
	<tr>
		<td align="left">
		
		<?php if(($this->params->get('filters_fields') && count($this->ifilters)) || $this->ifilters_ext): ?>
		<img src="components/com_resource/images/filters.png" align="absmiddle" />
		<a href="javascript:void(0);" id="filters_pane_click" rel="filters_pane"><?php echo Jtext::_('Filters'); ?></a>
		<DIV align="left" id="filters_pane" style="position:absolute; z-index: 100; visibility: hidden; background-color: white; width: 650px;">
			<div id="rounded0">
				<div class="t">
					<div class="t">
						<div class="t"></div>
					</div>
				</div>
				<div class="m" style="margin: 0px;">	
				<div align="right">
				<input class="button" type="submit" value="<?php echo Jtext::_('Apply') ?>">
				</div>
				<div class="tabsVertical" id="verticalrollovertab">
				<div class="tabsm">
				<ul>
				<?php if($this->params->get('filters_fields') && count($this->ifilters)): ?>
					<?php $k=1; foreach($this->ifilters AS $title => $filter): ?>
					<li style="" class="tabInactive"
						onclick="flipimageON(this,'filter_<?php echo $filter['filter']->id ?>');"
						id="tab<?php echo $k; $k++; ?>"><?php echo $filter['filter']->title ?>&nbsp; &nbsp;</li>
					<?php endforeach; ?>
				<?php endif; ?>
				
				<?php if($this->ifilters_ext): ?>
					<?php $k=1; foreach($this->ifilters_ext AS $title => $filter_ext): ?>
					<li class="tabInactive"
						onclick="flipimageON(this,'filter_ext_<?php echo $filter_ext->id ?>');"
						id="tab<?php echo $k; $k++; ?>"><?php echo $filter_ext->title ?>&nbsp; &nbsp;</li>
					<?php endforeach; ?>
				<?php endif; ?>
				</ul>
				</div>
				
				<div class="contentPanel">

				<?php if($this->params->get('filters_fields') && count($this->ifilters)): ?>
					<?php $k=1; foreach($this->ifilters AS $title => $filter): ?>
						<div id="filter_<?php echo $filter['filter']->id ?>" class="contentPanelHidden">
						<div class="col_1">
						<?php
						if(is_array($filter['values']))
						{
							//print_r($values->default);
							foreach ($filter['values'] AS $fkey => $values){
							?>
							<input type="checkbox" <?php if(@in_array($values->value, @$filter['filter']->default)) echo 'checked="checked"' ?> name="filter<?php echo $filter['filter']->id; ?>[]" value="<?php echo $values->value ?>" /> <?php echo $values->text ?> <br />
							<?php
							}
						}
						?>
						</div>
						</div>
					<?php endforeach; ?>
				<?php endif; ?>
				
				<?php if($this->ifilters_ext): ?>
					<?php foreach($this->ifilters_ext AS $title => $filter_ext): ?>
					<div id="filter_ext_<?php echo $filter_ext->id ?>" class="contentPanelHidden">
					<div class="col_1">
						<?php echo $filter_ext->result; ?>
					</div>
					</div>
					<?php endforeach; ?>
				<?php endif; ?>
				
				</div>
				</div>
				
				<div style="clear:both;"></div>
				</div>
				<div class="b">
					<div class="b">
						<div class="b"></div>
					</div>
				</div>
			</div>
		</DIV>
		<script type="text/javascript">
			dropdowncontent.init("filters_pane_click", "right-bottom", 200, "click")
		</script>
		<?php endif; ?>
		
		<?php if($this->views && $this->params->get('template_switcher')): ?>
			&nbsp; &nbsp;
			<img src="components/com_resource/images/views.png" align="absmiddle" />
			<a href="javascript:void(0);" id="views_pane_click" rel="views_pane"><?php echo Jtext::_('Views'); ?></a>
			<DIV align="left" id="views_pane" style="position:absolute; z-index: 100; visibility: hidden; background-color: white; width: 100px;">
			<div id="rounded0">
				<div class="t">
				<div class="t">
						<div class="t"></div>
					</div>
				</div>
				<div class="m" style="margin: 0px;">	
					<div>
					<ul class="menu" style="margin: 0px; padding-left: 15px;">				
					<?php foreach($this->views As $view): ?>
						<li><a href="javascript:void(0);" onclick="document.adminForm.filter_tpl.value = '<?php echo $view->name ?>'; document.adminForm.submit();"><?php echo $view->title ?></a></li>
					<?php endforeach; ?>
					</ul>
					</div>	
				</div>
				<div class="b">
					<div class="b">
						<div class="b"></div>
					</div>
				</div>
				</div>
			</DIV>
			<script type="text/javascript">
				dropdowncontent.init("views_pane_click", "right-bottom", 200, "click")
			</script>
		<?php endif; ?>
		
		
		<?php if($this->params->get('filter_order')): ?>
			&nbsp; &nbsp;
			<img src="components/com_resource/images/order.png" align="absmiddle" />
			<a href="javascript:void(0);" id="order_click" rel="order_list"><?php echo JText::_('Orders'); ?></a>
			<DIV align="left" id="order_list" style="position:absolute; visibility: hidden; z-index: 100; background-color: white; width: 150px;">
				<div id="rounded0">
				<div class="t">
				<div class="t">
						<div class="t"></div>
					</div>
				</div>
				<div class="m" style="margin: 0px;">	
				<ul class="menu" style="margin: 0px; padding-left: 15px;">		
				<?php if($this->params->get('order_ctime')):?>
			 		<li><?php echo JHTML::_('grid.sort',  JText::_('Created'), 'r.ctime', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
			
				<?php if($this->params->get('order_title')):?>
					<li><?php echo JHTML::_('grid.sort',  JText::_('Title'), 'r.title', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
				
				<?php if($this->params->get('order_autor')):?>
			 		<li><?php echo JHTML::_('grid.sort',  JText::_('Author'), 'u.username', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
			 	
				<?php if($this->params->get('order_hits')):?>
			 		<li><?php echo JHTML::_('grid.sort',  JText::_('Hits'), 'r.hits', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
				
				<?php if($this->params->get('order_mtime')):?>
			 		<li><?php echo JHTML::_('grid.sort',  JText::_('Modified'), 'r.mtime', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
				
				<?php if($this->params->get('order_rate')):?>
			 		<li><?php echo JHTML::_('grid.sort',  JText::_('Rated'), 'rate', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
			 	
				<?php if($this->params->get('order_comment')):?>
			 		<li><?php echo JHTML::_('grid.sort',  JText::_('Commented'), 'comment', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
			 	
				<?php if($this->params->get('order_favorite')):?>
			 		<li><?php echo JHTML::_('grid.sort',  JText::_('Favorited'), 'favorite', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
				<?php endif;?>
				<?php if($this->params->get('order_fields')):?>
					<?php foreach ($this->columns AS $col):?>
						<?php if($col['params']->get('sortable')): ?>
							<li><?php echo $this->params->get('client') == 'module' ? JText::_('Modified') : JHTML::_('grid.sort',  $col['title'], 'vo'.$col['id'].'.field_value', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></li>
						<?php endif; ?>
					<?php endforeach; ?>
				<?php endif;?>
			 	</ul>
				</div>
				<div class="b">
					<div class="b">
						<div class="b"></div>
					</div>
				</div>
				</div>
			</DIV>
			<script type="text/javascript">
				dropdowncontent.init("order_click", "right-bottom", 200, "click");
			</script>
		<?php endif; ?>
		
		<?php $text = JText::_('To put records to compare click same icon by record title'); ?>
		<?php if(count(@$this->menu['compare']) > 1): ?>
			&nbsp;&nbsp; <img src="<?php echo JURI::root() ?>components/com_resource/images/user_menu/compare.png" align="absmiddle" /> 
			<a href="javascript:void(0);" id="compare_click" rel="sub_compare"><?php echo JText::_('Compare') ?></a>
			<DIV id="sub_compare" style="position:absolute; visibility: hidden; z-index: 100; background-color: white; width: 200px;">
				<div id="rounded0">
				<div class="t">
				<div class="t">
						<div class="t"></div>
					</div>
				</div>
				<div class="m" style="margin: 0px;">
				
				<ul>
				<li><?php echo implode("</li><li>", $this->menu['compare']); ?></li>
				</ul>
				
				</div>
				<div class="b">
					<div class="b">
						<div class="b"></div>
					</div>
				</div>
				</div>
			</DIV>
			<script type="text/javascript">
				dropdowncontent.init("compare_click", "right-bottom", 200, "click")
			</script>
		<?php elseif(count(@$this->menu['compare']) == 1): ?>
			<span class="hasTip" title="::<?php echo $text; ?>"><?php echo $this->menu['compare'][0]; ?></span>
		<?php endif; ?>
		
		</td>
		
		
		<?php 
		    if($this->params->get('filters_category'))
			{
				echo '<td align="left" width="1%">';
				echo $filter_category = JHTML::_('select.genericlist', $this->filter_category, 'id_category', 
					"class=\"inputbox\"  onchange=\"window.location = this.value;\"", 'value', 'text', MERoute::_(MEUrl::link_list(JRequest::getInt('category_id'))));
				$this->filter_category;
				echo '</td>';
			}
		?>
		
		<?php if($this->params->get('filters_search')): ?>
			<td width="1%" align="right">
			<input type="text" class="inputbox" value="<?php echo $this->search_default;?>" name="filter_search" />
			</td>
		<?php endif; ?>
		
		<td align="right" width="1px" nowrap="nowrap">
			<input type="button" value="<?php echo JText::_('Go')?>" class="button" onclick="document.adminForm.submit()" />
		</td>
		
	</tr>
</table>
	
<div class="clr"></div>
</div>
<div class="b">
	<div class="b">
		<div class="b"></div>
	</div>
</div>

</div>
<?php if($this->params->get('alpha_index')): ?>
	<br /><div align="center" style="text-align: center;">
	<?php 
	//$print[] = "<a class=\"alpha\" href=\"javascript:void(0);\" onclick=\"document.adminForm.filter_alpha.value='".JText::_('All')."';submitform();\">".JText::_('All')."</a>";
	foreach ($this->lists['alpha'] AS $a) :
		$print[] = $this->renderAlpha($a, $this->params, true);	
	endforeach;
	Echo implode(' ', $print);
	?></div>
	<div style="clear: both;"></div>
<?php endif; ?>

<!--  =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	Show Filter warrning boxes if it is turned on for section
	and there are filters applied. Please always use this condition 
	if you want create 100% compatible filter template.
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  -->
<?php if($this->params->get('filters_worn') && (count($this->fworn) > 0)): ?>
	<br />
	<?php if($this->filter_rss): ?>
		<img src="<?php echo JURI::root() ?>/components/com_resource/images/rss.png" align="absmiddle" border="0" vspace="5"> <a title="<?php echo JText::_('RSS Current Search'); ?>" href="<?php echo $this->filter_rss ?>" target="_blank"><?php echo JText::_('RSS Current Search') ?></a>
	<?php endif; ?>

	<?php
		if(count($this->fworn) > 1)
		{
			$url = JURI::getInstance($this->action);
			$url->setVar('filter_reset', 1);
			echo '<img src="'.JURI::root().'components/com_resource/images/cancel.png" align="absmiddle" border="0" vspace="5">'.JHTML::link($url->toString(), JText::_('Reset All Filters'));
		}
	?>
	<div style="clear: both;"></div>
	<?php foreach ($this->fworn as $filter_name => $worn): ?>
		<div class="fworn"><div>
		<img hspace="0" title="<?php echo JText::_('Close Filter'); ?>" src="<?php echo JURI::root() ?>components/com_resource/images/f-c2.png" onclick="document.adminForm.<?php echo $filter_name ?>.value=1; document.adminForm.submit();" />
		<span class="small"><?php echo $worn['name']; ?></span><br />
		<b><?php if(is_array($worn['value'])) echo implode(", ", $worn['value']); else echo $worn['value']; ?></b>
		<b><?php //if(count($worn['value']) > 0) echo implode(", ", $worn['value']); ?></b>
		</div></div>
	<?php endforeach; ?>
	<div style="clear: both;"></div>
<?php endif; ?>