<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<br>
<style>
td.key
{
font-weight: bolder;
border-right: 1px dashed whitesmoke;
background-color: whitesmoke;  
}
</style>
<?php
$cols = count($this->items);
$items = $this->items;
$r = 0;
?>
<table width="100%" cellpadding="5" cellspacing="0" border="0">
	<tr class="sectiontableheader" valign="top">
		<td class="sectiontableheader"><?php echo JText::_('Title') ?></td>
	<?php for ($i=0; $i< $cols; $i++): ?>
		<td class="sectiontableheader">
		<?php if($items[$i]->favorite && $this->user->get('id')) echo $items[$i]->favorite;?> 
		<h2 class="contentheading" style="display: inline;"> 
		<?php echo $items[$i]->title; ?> 
		</h2>
		<?php if($items[$i]->edit) echo '<br />'.$items[$i]->edit?></td>
	<?php endfor; ?>
	</tr>
	
	<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 		<td class="key"><?php echo JText::_('Delete') ?></td>
		<?php for ($i=0; $i < $cols; $i++): ?>
			<td><?php echo $items[$i]->compare;?> <?php echo JText::_('Compare');?></td>
		<?php endfor; ?>
	</TR>

	<?php if($this->params->get('col_author')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Author') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td align="center">
				<?php if($items[$i]->avatar): ?>
				<?php echo $items[$i]->avatar;?>
				<?php endif; ?>
				<?php echo $items[$i]->user ? $items[$i]->user : JText::_("Anonymous");?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php if($this->params->get('col_rating') && $params->get('rating')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Rating') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php echo $items[$i]->rating;?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php
	 	if(count($this->columns) > 0)
	 	{
	 		foreach ($this->columns AS $column)
	 		{
	 		?>
		 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
		 			<td class="key"><?php echo $column['title']; ?></td>
					<?php for ($i=0; $i < $cols; $i++): ?>
						<td><?php echo (@$items[$i]->fields[$column['id']]->result ? $items[$i]->fields[$column['id']]->result : '<center>-</center>'); ?> </td>
					<?php endfor; ?>
				</TR>
	 		<?php
	 		}
	 	}
 	?>
	 		
	<?php if($this->params->get('col_tags') && $this->params->get('item_tag')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Tags') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php echo $items[$i]->tags; ?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>

	<?php if($this->params->get('col_ctime')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Created') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php echo $items[$i]->ctime->toFormat($this->params->get('date_format'));?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>

	<?php if($this->params->get('col_mtime')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Modified') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php  if($items[$i]->mtime) echo $items[$i]->mtime->toFormat($this->params->get('date_format')); else echo JText::_('Unknown')?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php if($this->params->get('col_hits')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Hits') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php  echo $items[$i]->hits; ?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php if($this->params->get('col_comments')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Comments') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php  echo $items[$i]->comments; ?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php if($this->params->get('col_votes')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Votes') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php  echo $items[$i]->votes; ?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php if($this->params->get('col_favorite')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Favorited') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php  echo $items[$i]->favorite_num; ?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php if($this->params->get('col_category') && $this->params->get('item_categories')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('Category') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php  echo  implode(", ", $items[$i]->categories); ?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
	
	<?php if($this->params->get('col_ucategory')):?>
 		<TR class="sectiontableentry<?php echo ($r + 1); $r = 1 - $r; ?>">
 			<td class="key"><?php echo JText::_('User Category') ?></td>
			<?php for ($i=0; $i < $cols; $i++): ?>
				<td><?php  echo $items[$i]->user_category ? $items[$i]->user_category : JText::_('None'); ?></td>
			<?php endfor; ?>
		</TR>
	<?php endif;?>
 	
</table>

<?php return; ?>

