<?php
/*
*	Mighty Resources Template
*
*	Name: ' Fantasy '
*	Type: List Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$css = "
.jsc_clr {
	clear:both;
	}
#jsc_header {
	width:auto;
	margin-bottom:13px;
	padding:4px 6px 10px 6px;
	border-bottom:1px solid #c7c7c7;
	}
#jsc_header .contentheading {
	height:auto;
	padding:0;
	}
#jsc_iconarea {
	float:right;
	text-align:right;
	margin:5px 0 5px 30px;
	}
.jsc_icon {
	float:left;
	margin-left:4px;
	}
#jsc_header_inner {
	width:auto;
	margin-top:13px;
	padding-bottom:6px;
	}
#jsc_avatar {
	float:left;
	width:auto;
	}
#jsc_event {
	float:left;
	width:auto;
	padding:5px;
	}
#jsc_event span {
	padding-left:10px;
	}
#jsc_event br {
	margin:8px 0;
	padding:0;
	}
#jsc_maintable {
	margin-left:8px;
	margin-right:8px;
	}
#jsc_readon {
	float:right;
	width:auto;
	}
#jsc_footer {
	width:auto;
	height:46px;
	margin-top:13px;
	padding:10px 6px 0 6px;
	border-top:1px solid #c7c7c7;
	}
#jsc_rating {
	float:left;
	width:auto;
	}
#jsc_notes {
	float:right;
	margin-top:12px;
	}
#jsc_notes span {
	float:left;
	margin-right:4px;
	}
";
$document->addStyleDeclaration($css); ?>

<br />
<?php $key = 0; $k = 0;
for ($c=0; $c<count($this->items); $c++) :

		$item = @$this->items[$key];
		$params = new JParameter(@$item->params);
	?>
	<div id="rounded<?php echo $k;?>">
		<div class="t">
			<div class="t">
				<div class="t"></div>
			</div>
		</div>
		<div class="m">
		
			<div id="jsc_header">
				<div id="jsc_iconarea">
					<?php if($item->edit):?>
						<div class="jsc_icon">
							<?php echo $item->edit; ?>
						</div> <!-- jsc_icon -->
					<?php endif; ?>
					<?php if(@$item->pdf):?>
						<div class="jsc_icon">
							<div class="buttonheading">
								<?php echo $item->pdf; ?>
							</div> <!-- buttonheading -->
						</div> <!-- jsc_icon -->
					<?php endif; ?>
					<?php if(@$item->send):?>
						<div class="jsc_icon">
							<div class="buttonheading">
								<?php echo $item->send; ?>
							</div> <!-- buttonheading -->
						</div> <!-- jsc_icon -->
					<?php endif; ?>
					<?php if(@$item->print):?>
						<div class="jsc_icon">
							<div class="buttonheading">
								<?php echo $item->print; ?>
							</div> <!-- buttonheading -->
						</div> <!-- jsc_icon -->
					<?php endif; ?>
				</div> <!-- jsc_iconarea -->
				<div >
					<?php if($params->get('favorite') && $this->user->get('id')) echo $item->favorite; ?>
					<?php if($params->get('item_compare')):?>
				 		<?php echo $item->compare;?>
			 		<?php endif;?>
					<?php if($params->get('item_title')) :?>
						<h2 class="contentheading" style="display: inline;"> 
						<?php echo $item->ntitle; ?>
						</h2>
					<?php endif;?>
				</div> <!-- contentheading -->
				<div class="jsc_clr"></div>
				<div id="jsc_header_inner">
					<?php if($item->avatar):?>
						<div id="jsc_avatar">
							<?php echo $item->avatar; ?>
						</div> <!-- jsc_avatar -->
					<?php endif; ?>
					<div id="jsc_event">
						<?php if($params->get('item_author') && $item->user):?>
							<span class="small">
								<?php echo JText::_('Written by')?> <?php echo $item->user; ?>
							</span>
							<br />
						<?php endif; ?>
						<?php if($params->get('item_ctime')):?>
							<span class="createdate">
								<?php echo JText::_('Created')?> <?php echo $item->ctime->toFormat($params->get('item_time_format')); ?>
							</span>
							<br />
						<?php endif; ?>
						<?php if($params->get('item_mtime') && $item->mtime):?>
							<span class="modifydate">
								<?php echo JText::_('Last Updated')?> <?php echo $item->mtime->toFormat($params->get('item_time_format')); ?>
							</span>
							<br />
						<?php endif; ?>
						<?php if($params->get('item_categories')):?>
						 	<span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span><br />
				 		<?php endif;?>
				 		<?php if($item->user_category):?>
						 	<span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span>
				 		<?php endif;?>
					</div> <!-- jsc_event -->
				</div> <!-- jsc_header_inner -->
				<div class="jsc_clr"></div>
			</div> <!-- jsc_header -->
			
			<div class="jsc_clr"></div>
			<div id="jsc_maintable">
				<table class="contentpaneopen" width="100%">
					<?php $tab_close = false;?> 
					<?php foreach($item->fields AS $field):?>		 		
						<?php 
						$fparam = new JParameter($field->params);
						if(!$fparam->get('tabled'))
						{
							if(!$tab_close) echo "</table>";
							$tab_close = true;
						}
						else 
						{
							if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
							$tab_close = false;
						}
						echo $this->mmodel->getFieldValue($field, $item->user_id);
						?>
					<?php endforeach;?>
				<?php if($tab_close == FALSE) echo "</table>"; ?>
				<?php if($params->get('item_tag') && $item->tags):?>
					<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
				<?php endif; ?>
				<div class="jsc_clr"></div>
				<div id="jsc_readon">
					<a href="<?php echo $item->link; ?>" class="readon">
						<?php echo JText::_($params->get('item_readon_label', 'Read more...'))?>
					</a>
				</div> <!-- jsc_readon -->
			</div> <!-- jsc_maintable -->
			
			<div class="jsc_clr"></div>
			<div id="jsc_footer">
				<?php if($params->get('rating')):?>
					<div id="jsc_rating">
						<?php echo $item->rating; ?>
					</div> <!-- jsc_rating -->
				<?php endif; ?>
				<div id="jsc_notes">
					<?php $tab = array(); ?>
					<?php if($params->get('rating')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('item_hits')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('comments')):?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if($params->get('favorite')): ?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
					<?php endif; ?>
					<?php if(is_array($tab)) echo implode(' <span style="color:#f0f0f0"> | </span> ', $tab); ?>
				</div> <!-- jsc_notes -->
				<div class="jsc_clr"></div>
			</div> <!-- jsc_footer -->
			
		<div class="clr"></div>
		</div>
		<div class="b">
			<div class="b">
				<div class="b"></div>
			</div>
		</div>
	</div>
	<br />
<?php $key++; endfor; ?>