<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
///Helper functions here!
if (!function_exists('getforumStatus')){
function getforumStatus($item, $params, $this_user){
	
 	$this_user_id = $this_user->get('id');
	if ($item->featured) return $forum_status = 'fc_sticked';
	$author = $item->user_id;
	if($this_user_id){
	$item_id = $item->id;
	//to know comment participants
	 if (true){
	 	$db = &JFactory::getDBO();
	 	$part = "SELECT id FROM #__js_res_comments WHERE record_id = {$item_id} AND user_id = {$this_user_id}";
	 	$db->setQuery($part);
	 	$part = $db->loadResult(); 	
	 }
	}
	$comments = strip_tags($item->comments);
	$hits = strip_tags($item->hits);
	
	if ($comments){
		$popularity = 0;
		if ($hits) $popularity = ($comments/($hits-1)*100);
		if ($popularity >= $params->get('topic_pop', 50)){
			if ($this_user_id === $author || isset($part))
				 $forum_status = 'fc_pop_participant';
			else
				 $item->isNew? $forum_status = 'fc_pop_new': $forum_status = 'fc_pop_default';
			return $forum_status;
		}
	}
	
	if($this_user_id === $author || isset($part))
		$forum_status = 'fc_participant';
	else
		$item->isNew? $forum_status = 'fc_new': $forum_status = 'fc_default';
	return $forum_status;
	
}
}
$document = &JFactory::getDocument();
$this_user = &$this->user;

$images_url = JURI::root()."components/com_resource/images/tmpl/";
$images_path = JPATH_ROOT.DS."components".DS."com_resource".DS."images".DS."tmpl".DS;
$featured_bg = $this->params->get('featured_bg');

$css = "
.forum_featured {
	background-color:$featured_bg; }
.forum_featured td{
	border-bottom: 1px solid gray;
}
.forum_posts{
	font-size: 12pt;
	color: #2F8EFF;
}
.forum_views{
	font-size: 10pt;
	color: orange;
}
.forum_posts a{
	font-size: 12pt;
	color: #2F8EFF;
}
.forum_views a{
	font-size: 10pt;
	color: orange;
}";
$document->addStyleDeclaration($css);
?>

<table class="forum-default" width="100%" cellpadding="8" cellspacing="0" border="0">
<tr class="sectiontableheader">
	<?php if($show_status = $this->params->get('show_status', 1)): ?>
		<td class="sectiontableheader" width="1%"><?php echo JText::_('Status');?></td>
	<?php endif; ?>
		<td class="sectiontableheader"><?php echo JText::_('Topics'); ?></td>
		<td class="sectiontableheader" width="1%"><?php echo JText::_('Author'); ?></td>
		<td class="sectiontableheader" width="1%"><?php echo JText::_('Replies'); ?></td>
		<td class="sectiontableheader" width="1%"><?php echo JText::_('Views'); ?></td>
	<?php if($this->params->get('forum_lastpost')): ?>	
	<td class="sectiontableheader" width="1%"><?php echo JText::_('Last Post'); ?></td>
	<?php endif; ?>
</tr>
<?php $k = 1;
	
foreach ($this->items as $key => $item) {
	$k = 1 - $k;
	$params = new JParameter($item->params);
	
	$lastpost = @$item->fields[$this->params->get('forum_lastpost')]->result;
	$status_line = array();
	if(@$item->fields[$this->params->get('forum_status')]->result) $status_line[]	= @$item->fields[$this->params->get('forum_status')]->result;
	if(@$item->fields[$this->params->get('forum_priority')]->result) $status_line[]	= @$item->fields[$this->params->get('forum_priority')]->result;
	
	$status = getforumStatus($item, $this->params, $this_user);
	?>
	<tr class="<?php if ($status == 'fc_sticked'): echo "forum_featured"; else:?>sectiontableentry<?php echo $k + 1; endif;?>" valign="top">
		
		<?php 
		//Status
		if($show_status): ?>
		<td>
			<?php
			if(file_exists($images_path.$status.'.png')): ?>
				<img src="<?php echo $images_url.$status.'.png'; ?>" alt="<?php echo $status; ?>" />
			<?php endif; ?>
		</td>
		<?php endif; ?>
		<td>
		<h2 class="contentheading" style="display: inline;"> 
			<?php echo $item->ntitle; ?>
		</h2>
			<br />
			<span class="small">
				<span class="res-status">
					<?php 
						if (@$status_line[0] && @$status_line[1])
						echo implode(" | ", $status_line);
						else
						echo implode(null, $status_line);
					?>
				</span>
			</span>
				<?php if (@$status_line[0] || @$status_line[1]):?>
			 		<span class="small"> | </span> 
			 	<?php endif;?>
				<?php if ($this->params->get('show_ctime', 1) && $params->get('item_ctime')):?>
			 		<span class="createdate">
						<span class="res-date-style">
							<?php echo $item->ctime->toFormat($this->params->get('forum_date')); ?>
						</span>
					</span>
			 	<?php endif;?>
				</td>
				<td nowrap="nowrap">
			<?php echo @$item->user; ?>
				<br />
			<?php if ($item->edit) echo $item->edit; ?>
				</td>
				<td class="forum_posts" align="center">
			<?php echo ($item->comments ? $item->comments : 0); ?>
				</td>
				<td class="forum_views" align="center">
			<?php echo ($item->hits ? $item->hits : 0); ?>
				</td>
				
		<?php if ($this->params->get('forum_lastpost')):?>
				<td nowrap="nowrap" style="text-align:center; width: 10%;">
			<?php echo $lastpost; ?>
				</td>
		<?php endif;?>
			</tr>
		<?php } ?>
			<tr>
				<td class="sectiontableheader" colspan='6'>
		<?php //echo JText::_('Forum Legend'); ?>
			</td>
		</tr>
	</table>
<?php if($this->params->get('show_legend', 1)):?>
<table class="forum_legend">
	<tr>
		<td>
			<?php echo JHTML::image($images_url.'fc_default.png', 'Default', null);?>
		</td>
		<td>
			<?php echo JText::_('Read');?>
		</td>
		
		<td>
			<?php echo JHTML::image($images_url.'fc_new.png', 'New', null);?>		
		</td>
		<td>
			<?php echo JText::_('New');?>		
		</td>
		
		<td>
			<?php echo JHTML::image($images_url.'fc_participant.png', 'Participant', null);?>		
		</td>
		<td>
			<?php echo JText::_('You partiicipant');?>		
		</td>
		
		<td>
			<?php echo JHTML::image($images_url.'fc_sticked.png', 'Sticked', null);?>		
		</td>
		<td>
			<?php echo JText::_('Sticked');?>		
		</td>
	</tr>
	<tr>
		<td>
			<?php echo JHTML::image($images_url.'fc_pop_default.png', 'Default popular', null);?>		
		</td>
		<td>
			<?php echo JText::_('Popular');?>
		</td>
		
		<td>
			<?php echo JHTML::image($images_url.'fc_pop_new.png', 'New popular', null);?>		
		</td>
		<td>
			<?php echo JText::_('New popular');?>		
		</td>
		
		<td>
			<?php echo JHTML::image($images_url.'fc_pop_participant.png', 'Participant popular', null);?>		
		</td>
		<td>
			<?php echo JText::_('You partiicipant popular');?>		
		</td>
		
		<td>
			&nbsp;
		</td>
		<td>
			&nbsp;		
		</td>
	</tr>
</table>
<?php endif; ?>