<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/


defined('_JEXEC') or die('Restricted access'); 
$document = & JFactory::getDocument();
$document->addScript("http://maps.googleapis.com/maps/api/js?sensor=false");

/*if(!$this->params->get('tpl_gm_map_key'))
{
	JError::raiseNotice(100, JText::_('Please Get Google <a href="http://www.google.com/maps/api_signup">Map API key</a> and insert in template parameters.'));
	return;
}*/
?>
<script type="text/javascript"><!--

	infowindow = new google.maps.InfoWindow();
	bounds = new google.maps.LatLngBounds();

	function markIcon(m, size, color)
	{
		if(!size || !color) return null;

		if(size == 'big')
		{
    		var msize = new google.maps.Size(20,34);
    		var mpoint = new google.maps.Point(10,34);
    		var ssize = new google.maps.Size(37,34);
    		var spoint = new google.maps.Point(37/3,34);
		}
		else if(size == 'small')
		{
    		var msize = new google.maps.Size(12, 20);
    		var mpoint = new google.maps.Point(6,20);
    		var ssize = new google.maps.Size(22, 20);
    		var spoint = new google.maps.Point(22/3,20);
		}
		else
		{
			return;
		}
		
		var markerIcon = new google.maps.MarkerImage( '<?php echo JURI::root();?>/components/com_resource/views/list/tmpl/default_subtmpl_googlemap/markers/marker-' + size +'-'+ color + '.png',
			msize, new google.maps.Point(0,0), mpoint);
		m.setIcon(markerIcon);
		<?php if($this->params->get('tpl_gm_map_shadow', 1)): ?>
		var markerShadow = new google.maps.MarkerImage( '<?php echo JURI::root();?>/components/com_resource/views/list/tmpl/default_subtmpl_googlemap/markers/marker-'+ size +'-shadow.png',
				ssize, new google.maps.Point(0,0), spoint);
		m.setShadow(markerShadow);
		<?php endif; ?>
	}


	function drawAddress(address, title, body)
    {
       	var geocoder = new google.maps.Geocoder();
        geocoder.geocode( { 'address': address}, function(results, status) {
          if (status == google.maps.GeocoderStatus.OK) {
			drawMarker(results[0].geometry.location, title, body)
          } else {
          	alert("Geocode was not successful for the following reason: " + address);
          }
        });
    }
	function drawMarker(mPosition, title, body, msize, color)
	{
		var mOptions = {
				'map' : map, 
				'position' : mPosition,
				<?php if($this->params->get('tpl_gm_map_anim', 1)) "'animation' : google.maps.Animation.DROP," ?>
				'title' : title
				};
		var m = new google.maps.Marker(mOptions);
		markIcon(m, msize, color);

		google.maps.event.addListener(m, 'click', function() {
			infowindow.setContent(body);
			infowindow.open(map, m);
		});
		bounds.extend(mPosition);
	    map.fitBounds(bounds);
	}

	function drawMap()
	{
    	var myLatlng = new google.maps.LatLng(<?php echo $this->params->get('tpl_gm_map_init_lat', '42.293564192170095') ?>, <?php echo $this->params->get('tpl_gm_map_init_lng', '-33.33983659744263') ?>);
        var myOptions = {
            zoom: <?php echo $this->params->get('tpl_gm_map_init_zoom', 10) ?>,
            center: myLatlng,
            mapTypeId: google.maps.MapTypeId.<?php echo $this->params->get('tpl_gm_map_view', 'ROADMAP')?>,
            mapTypeControl: <?php echo ($this->params->get('tpl_gm_map_type') ? '1' : '0')?>,
            mapTypeControlOptions: {
                style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR
            },
            overviewMapControl:<?php echo ($this->params->get('tpl_gm_map_overview', 1) ? '1' : '0')?>,
            draggable: <?php echo ($this->params->get('tpl_gm_map_drag', 1) ? '1' : '0')?>,
			panControl: <?php echo ($this->params->get('tpl_gm_map_pan', 1) ? '1' : '0')?>, 
			zoomControl : <?php echo ($this->params->get('tpl_gm_map_zoom', 1) ? '1' : '0')?>,
			scaleControl : <?php echo ($this->params->get('tpl_gm_map_scale', 1) ? '1' : '0')?>,
			rotateControl :<?php echo ($this->params->get('tpl_gm_map_rotate', 1) ? '1' : '0')?>,
			streetViewControl :<?php echo ($this->params->get('tpl_gm_map_street', 1) ? '1' : '0')?>,
			scrollwheel :<?php echo ($this->params->get('tpl_gm_map_scroll', 1) ? '1' : '0')?>
					 
        }
        map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);

        <?php 
        foreach ($this->items AS $key => $item)
        {
            $item->ntitle = addslashes("<big>{$item->ntitle}</big>");
    		$params = new JParameter(@$item->params);
    		$body = createBody($item, $this->mmodel, $params);
            
            switch($this->params->get('tpl_gm_map_analyze')){ 
            
                case 1:
					$address = array();
					if(@$item->fields[$this->params->get('tpl_gm_map_field_address_field')]->field_value)
					{
						$address_array = @unserialize(@$item->fields[$this->params->get('tpl_gm_map_field_address_field')]->field_value);
						
						if(!is_array($address_array)) break;
						
						if(@$address_array['latitude'] && @$address_array['longitude'])
						{
							?>
							drawMarker(new google.maps.LatLng(<?php echo $address_array['latitude'] ?>, <?php echo $address_array['longitude'] ?>), '<?php echo htmlentities(strip_tags($item->title), ENT_QUOTES, 'UTF-8') ?>', '<?php echo $body ?>');
							<?php 
						}
						else
						{
							if(@$address_array['address']) $address[] = $address_array['address'];
							if(@$address_array['zip']) $address[] = @$address_array['zip'];
							if(@$address_array['city']) $address[] = @$address_array['city'];
							if(@$address_array['state']) $address[] = @$address_array['state'];
							if(@$address_array['country']) $address[] = @$address_array['country'];
							
							foreach ($address as $k => $v) {
								$address[ $k ] = htmlentities($v, ENT_QUOTES, 'UTF-8');
							}
						    $address_line = implode(", ", $address);
        					if($address_line){
        					?>
        					drawAddress('<?php echo str_replace("'", "\'", $address_line); ?>', '<?php echo htmlentities(strip_tags($item->title), ENT_QUOTES, 'UTF-8') ?>', '<?php echo $body ?>', '<?php echo $this->params->get('tpl_gm_map_size');?>', '<?php echo $this->params->get('tpl_gm_map_color');?>');
        					<?php 
        					}
						}
					}
					
				break;
				
				case 2:
					$lat = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_lat')]->result);
					$lng = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_lng')]->result);
					
					if(!is_numeric($lat) || !is_numeric($lng)) 
						continue;
					
					$lat = floatval($lat);
					$lng = floatval($lng);
					
					?>
					drawMarker(new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lng ?>), '<?php echo htmlentities(strip_tags($item->title), ENT_QUOTES, 'UTF-8') ?>', '<?php echo $body ?>', '<?php echo $this->params->get('tpl_gm_map_size');?>', '<?php echo $this->params->get('tpl_gm_map_color');?>');
					<?php 
				break;
				
				case 3:
					$values = @$item->fields[$this->params->get('tpl_gm_map_field_lng_lat')]->field_value;
					if (empty($values))
						continue;
						
					$values = strip_tags($values);
					$values = @explode(",", $values);
					$lat = strip_tags(@$values[0]);
					$lng = strip_tags(@$values[1]);
					
					if(!is_numeric($lat) || !is_numeric($lng)) 
						continue;
					
					$lat = floatval($lat);
					$lng = floatval($lng);
					
					?>
					drawMarker(new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lng ?>), '<?php echo htmlentities(strip_tags($item->title), ENT_QUOTES, 'UTF-8') ?>', '<?php echo $body ?>', '<?php echo $this->params->get('tpl_gm_map_size');?>', '<?php echo $this->params->get('tpl_gm_map_color');?>');
					<?php
				break;
				
				case 4:
					$address = array();
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_address')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_zip')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_city')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_state')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_country')]->result);
					
					foreach ($address as $k => $v) {
						if (empty($v))
							unset($address[ $k ]);
					}
					
					$address_line = implode(", ", $address);
					if($address_line){
					?>
					drawAddress('<?php echo str_replace("'", "\'", $address_line); ?>', '<?php echo htmlentities(strip_tags($item->title), ENT_QUOTES, 'UTF-8') ?>', '<?php echo $body ?>');
					<?php 
					}
				break;
				
				case 5:
					if(@$item->fields[$this->params->get('tpl_gm_map_field_address_extra_field')]->field_value)
					{
						$address_array = @unserialize(@$item->fields[$this->params->get('tpl_gm_map_field_address_extra_field')]->field_value);
						settype($address_array, 'array');
						foreach ($address_array AS $address)
						{
    						if(@$address['latitude'] && @$address['longitude'])
    						{
    							?>
    							drawMarker(new google.maps.LatLng(<?php echo $address['latitude'] ?>, <?php echo $address['longitude'] ?>), '<?php echo htmlentities(strip_tags($item->title), ENT_QUOTES, 'UTF-8') ?>', '<?php echo $body ?>', '<?php echo $this->params->get('tpl_gm_map_size');?>', '<?php echo $this->params->get('tpl_gm_map_color');?>');
    							<?php 
    						}
    						else
    						{
    							if(@$address['address']) $a[] = $address['address'];
    							if(@$address['zip']) $a[] = @$address['zip'];
    							if(@$address['city']) $a[] = @$address['city'];
    							if(@$address['state']) $a[] = @$address['state'];
    							if(@$address['country']) $a[] = @$address['country'];
    							
    							foreach ($a as $k => $v) {
    								$a[ $k ] = htmlentities($v, ENT_QUOTES, 'UTF-8');
    							}
    						    $address_line = implode(", ", $a);
            					if($address_line){
                					?>
                					drawAddress('<?php echo str_replace("'", "\'", $address_line); ?>', '<?php echo htmlentities(strip_tags($item->title), ENT_QUOTES, 'UTF-8') ?>', '<?php echo $body ?>', '<?php echo $this->params->get('tpl_gm_map_size');?>', '<?php echo $this->params->get('tpl_gm_map_color');?>');
                					<?php 
            					}
    						}
						}
					}
				break;
            }
        }?>
	}
//
--></script>

<div id="map_canvas" style="margin-top:15px; margin-bottom:15px; width: <?php echo $this->params->get('tpl_gm_map_width', '100%') ?>; height: <?php echo $this->params->get('tpl_gm_map_height', '500px') ?>"></div>
<div id="message"></div>
<script type="text/javascript">
drawMap();
</script>

<?php 
function createBody($item, $model, $params)
{
    $body[] = stripslashes($item->ntitle);
    
	foreach($item->fields AS $field)
	{
		if( $field->type == 'set_location' || $field->type == 'gallery2' || $field->type == 'relate_parent3' || 
		    $field->type == 'relate_parent2' || $field->type == 'relate_child3' || $field->type == 'relate_child2' ||
		    $field->type == 'records' || $field->type == 'mail' || $field->type == 'social_bookmarks' ||
		    $field->type == 'set_location' || $field->type == 'set_location' || $field->type == 'set_location')
		{
		    continue;
		}
	    $fparams = new JParameter($field->params);
		$fparams->set('tabled', 0);
 		$fparams->set('show_lable', 1);
 		$fparams->set('lable_line', 1);
 		$field->params = $fparams->toString();
 		
 		$body[] = $model->getFieldValue($field, $item->user_id);
	}
	$body[] = "<a href=\"{$item->link}\">". $params->get('item_readon_label', JText::_('Read more...'))."</a>";
	
	$body = implode("<br />", $body);
	$body = str_replace(array("\n", "\r"), " ", $body);
	$body = stripslashes($body);
	$body = addslashes($body);
 	$body = preg_replace("/>\s+</", "> <", $body);
 	
 	return $body;
}

?>
<?php return; ?>


































































NOT USED ANY MORE!!!!


<script type="text/javascript"><!--
	function showAddress(address, title, message) {
		if (geocoder) {
			geocoder.getLatLng(
	        	address, 
	        	function(point)
	        	{
	        		if(point) 
	        		{
	        			map.addOverlay(createMarker(point, title, message));
	        		}
	        		else
	        		{
	        			notfound++;
	        		}
	        	} 
	        );
		}
	}
	
	function notfoundAlert()
	{
		if(notfound > 0)
		{
			alert('<?php echo JText::_("Some item's addresses was not found and not placed on the map") ?> (' + notfound + ')');
		}
	}
	
	function createMarker(point, title, message) {
		var marker = new GMarker(point);
			GEvent.addListener(marker, "click", function() {
			var myHtml = "<b>" + title + "</b><br/>" + message;
			map.openInfoWindowHtml(point, myHtml);
		});
		return marker;
	}
		
	function initialize5()
	{
		var myLatlng = new google.maps.LatLng(<?php echo $params->get('tpl_gm_map_init_lat', '42.293564192170095') ?>, <?php echo $params->get('tpl_gm_map_init_lng', '-33.33983659744263') ?>);
	    var myOptions = {
	        zoom: <?php echo $params->get('zoom', 10) ?>,
	        center: myLatlng,
	        mapTypeId: google.maps.MapTypeId.ROADMAP,
	        mapTypeControl: <?php ($this->params->get('tpl_gm_map_nav') ? 'true' : 'false')?>
	    }
	    map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	    

		/*
		map.setCenter(new GLatLng(<?php echo $this->params->get('tpl_gm_map_init_lat') ?>, <?php echo $this->params->get('tpl_gm_map_init_lng') ?>), <?php echo $this->params->get('tpl_gm_map_init_zoom') ?>);
		<?php if($this->params->get('tpl_gm_map_nav')) echo 'map.addControl(new GLargeMapControl());';?>
		
		<?php if($this->params->get('tpl_gm_map_type')) echo 'map.addControl(new GMapTypeControl());';?>
		
		geocoder = new GClientGeocoder();
		
		
		<?php foreach ($this->items AS $key => $item): ?>
			<?php 
			$item->ntitle = addslashes("<big>{$item->ntitle}</big>");
			$params = new JParameter(@$item->params);
			$body = array();
			foreach($item->fields AS $field)
			{
				$fparams = new JParameter($field->params);
				$fparams->set('tabled', 0);
		 		$fparams->set('show_lable', 1);
		 		$fparams->set('lable_line', 1);
		 		$field->params = $fparams->toString();
		 		
		 		$body[] = $this->mmodel->getFieldValue($field, $item->user_id);
//		 		var_dump($field);
			}
			
//			exit;
			$body[] = "<a href=\"{$item->link}\">". $params->get('item_readon_label', JText::_('Read more...'))."</a>";
			
			$body = implode("<br />", $body);
			$body = str_replace(array("\n", "\r"), " ", $body);
			// $body = str_replace("'", "\'", $body);
			$body = addslashes($body);
		 	$body = preg_replace("/>\s+</", "> <", $body);
		 	
			?>
			<?php switch($this->params->get('tpl_gm_map_analyze')){ 
				case 5:
					if(@$item->fields[$this->params->get('tpl_gm_map_field_address_extra_field')]->field_value)
					{
						$address_array = @unserialize(@$item->fields[$this->params->get('tpl_gm_map_field_address_extra_field')]->field_value);
						settype($address_array, 'array');
						foreach ($address_array AS $address)
						{
							if(@$address['latitude'] && @$address['longitude'])
							{
								?>
								var point = new GLatLng(<?php echo $address['latitude'] ?>, <?php echo $address['longitude'] ?>);
								map.addOverlay(createMarker(point, '<?php echo str_replace("'", "\'", $item->ntitle) ?>', '<?php echo @$body ?>'));
								<?php 
							}
						}
					}
					break;
				case 1:
					$address = array();
					if(@$item->fields[$this->params->get('tpl_gm_map_field_address_field')]->field_value)
					{
						$address_array = @unserialize(@$item->fields[$this->params->get('tpl_gm_map_field_address_field')]->field_value);
						
						if(!is_array($address_array)) break;
						
						if(@$address_array['latitude'] && @$address_array['longitude'])
						{
							?>
							var point = new GLatLng(<?php echo $address_array['latitude'] ?>, <?php echo $address_array['longitude'] ?>);
							map.addOverlay(createMarker(point, '<?php echo str_replace("'", "\'", $item->ntitle) ?>', '<?php echo @$body ?>'));
							<?php 
						}
						else
						{
							if(@$address_array['address']) $address[] = $address_array['address'];
							if(@$address_array['city']) $address[] = @$address_array['city'];
							if(@$address_array['state']) $address[] = @$address_array['state'];
							if(@$address_array['zip']) $address[] = @$address_array['zip'];
							if(@$address_array['country']) $address[] = @$address_array['country'];
							
							foreach ($address as $k => $v) {
								$address[ $k ] = htmlentities($v, ENT_QUOTES, 'UTF-8');
							}
						    $address_line = implode(", ", $address);
        					if($address_line){
        					?>
        					showAddress('<?php echo str_replace("'", "\'", $address_line); ?>', '<?php echo str_replace("'", "\'", $item->ntitle) ?>', '<?php echo @$body ?>');
        					<?php 
        					}
						}
					}
					
					break;
				case 2:
					$lat = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_lat')]->result);
					$lng = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_lng')]->result);
					
					if(!is_numeric($lat) || !is_numeric($lng)) 
						continue;
					
					$lat = floatval($lat);
					$lng = floatval($lng);
					
					?>
					var point = new GLatLng(<?php echo $lat ?>, <?php echo $lng ?>);
					map.addOverlay(createMarker(point, '<?php echo str_replace("'", "\'", $item->ntitle) ?>', '<?php echo @$body ?>'));
					<?php 
					break;
				case 3:
					//print_r($this->fields[$item->id]); echo $this->params->get('tpl_gm_map_field_lng_lat'); exit;
					$values = @$item->fields[$this->params->get('tpl_gm_map_field_lng_lat')]->field_value;
					if (empty($values))
						continue;
						
					$values = strip_tags($values);
					$values = @explode(",", $values);
					//echo $this->fields[$item->id][$this->params->get('tpl_gm_map_field_lng_lat')]->field_value; exit;
					$lat = strip_tags(@$values[0]);
					$lng = strip_tags(@$values[1]);
					
					if(!is_numeric($lat) || !is_numeric($lng)) 
						continue;
					
					$lat = floatval($lat);
					$lng = floatval($lng);
					
					?>
					var point = new GLatLng(<?php echo $lat ?>, <?php echo $lng ?>);
					map.addOverlay(createMarker(point, '<?php echo $item->ntitle ?>', '<?php echo @$body ?>'));
					<?php
					break;
				case 4:
					$address = array();
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_address')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_city')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_state')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_zip')]->result);
					$address[] = strip_tags(@$item->fields[$this->params->get('tpl_gm_map_field_s_country')]->result);
					
					foreach ($address as $k => $v) {
						if (empty($v))
							unset($address[ $k ]);
					}
					
					$address_line = implode(", ", $address);
					if($address_line){
					?>
					showAddress('<?php echo str_replace("'", "\'", $address_line); ?>', '<?php echo str_replace("'", "\'", $item->ntitle) ?>', '<?php echo @$body ?>');
					<?php 
					}
					break;
			}?>
		<?php endforeach; ?>*/
	}
	
//
--></script>






<br>
<?php $key = 0; $k = 0;?>
<?php for ($c=0; $c<count($this->items); $c++) :?>
	<?php
		$item = @$this->items[$key];
		$params = new JParameter(@$item->params);
	?>	
	<div id="rounded<?php echo $k;?>">
		<div class="t">
			<div class="t">
				<div class="t"></div>
			</div>
		</div>
		<div class="m">	
		
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="blog" summary="Blog">
			<tr valign="top">
				<td width="1%" align="center" rowspan="<?php echo ($params->get('item_tag') + $params->get('item_readon')) + 1;?>">
					<?php if($params->get('item_ctime')):?>
						 <span style="font-size:22px; background-color:#f0f0f0; padding:5px; display:block;"><?php echo $item->ctime->toFormat('%d');?><hr size="1px" style="border-color:#ccc"><?php echo $item->ctime->toFormat('%b');?></span>
			 		<?php endif;?>
				</td>
				
				<td>
					<a name="flag<?php echo $item->id?>"></a>
		 			<div class="contentheading">
			 		<?php if($params->get('item_title')) echo $item->ntitle; ?>
			 		</div><br>
			 		<table class="contentpaneopen" width="100%">
						<?php $tab_close = false;?> 
						<?php foreach($item->fields AS $field):?>		 		
							<?php 
							$fparam = new JParameter($field->params);
							if(!$fparam->get('tabled'))
							{
								if(!$tab_close) echo "</table>";
								$tab_close = true;
							}
							else 
							{
								if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
								$tab_close = false;
							}
							echo $this->mmodel->getFieldValue($field, $item->user_id);
							?>
						<?php endforeach;?>
					<?php if(!$tab_close) echo "</table>"; ?>
					
				</td>
				
				
				<td width="120px" align="center" rowspan="<?php echo ($params->get('item_tag') + $params->get('item_readon')) + 1;?>">
					<div align="right" style="text-align:right">
						<?php if(@$item->pdf):?>
					 		<?php echo $item->pdf;?>
				 		<?php endif;?>
				 		<?php if(@$item->send):?>
				 			<?php echo $item->send;?>
				 		<?php endif;?>
				 		<?php if(@$item->print):?>
				 			<?php echo $item->print;?>
				 		<?php endif;?>
				 		<?php if($item->edit)echo $item->edit?>
					</div><br>

					
					<?php if($item->avatar): ?>
		 				<?php echo $item->avatar;?>
		 			<?php endif; ?>
		 			
		 			<br><br>
					<table border="0" cellpadding="2">
	 					<?php if($params->get('rating')):?>
	 						<tr>
	 							<td colspan="2"><?php echo $item->rating;?></td>
	 						</tr>
	 					<?php endif;?>
	 					<?php if($params->get('item_author') && $item->user):?>
	 						<tr>
	 							<td nowrap><?php echo JText::_('Written By');?>:</td>
	 							<td><?php echo $item->user;?></td>
	 						</tr>
	 					<?php endif;?>
	 					<?php if($params->get('item_ctime')):?>
	 						<tr>
	 							<td colspan="2" nowrap><?php echo  $item->ctime->toFormat($params->get('item_time_format'));?></td>
	 						</tr>
	 					<?php endif;?>
						<?php if($params->get('rating')):?>
	 						<tr>
	 							<td><?php echo JText::_('Votes');?>:</td>
	 							<td><?php echo ($item->votes ? $item->votes : 0);?></td>
	 						</tr>
	 					<?php endif;?>
	 					<?php if($params->get('favorite') && $this->user->get('id')):?>
	 						<tr>
	 							<td><?php echo JText::_('Favorite');?>:</td>
	 							<td><?php echo $item->favorite;?></td>
	 						</tr>
	 					<?php endif;?>
	 					<?php if($params->get('comments')):?>
	 						<tr>
	 							<td nowrap><?php echo JText::_('Comments');?>:</td>
	 							<td><?php echo ($item->comments ? $item->comments : 0);?></td>
	 						</tr>
	 					<?php endif;?>
	 					<?php if($params->get('item_hits')):?>
	 						<tr>
	 							<td nowrap><?php echo JText::_('Hits');?>:</td>
	 							<td><?php echo ($item->hits ? $item->hits : 0);?></td>
	 						</tr>
	 					<?php endif;?>
	 					<?php if($params->get('item_mtime') && $item->mtime):?>
	 						<tr>
	 							<td nowrap><?php echo JText::_('Modified');?>:</td>
	 							<td nowrap><?php echo $item->mtime->toFormat('%d %b %Y');?></td>
	 						</tr>
	 					<?php endif;?>
		 			</table>
		 			
		 			
		 			
				</td>
			</tr>
			<?php if($params->get('item_tag') && $item->tags):?>
			 		<tr>
			 		<td valign="bottom"><?php echo JText::_('Tags')?>: <?php echo $item->tags; ?></td>
				</tr>
			<?php endif;?>
			<?php if($params->get('item_readon')):?>
			 	<tr>
			 		<td align="right"><a href="<?php echo $item->link;?>" class="readon">
			 		<?php  echo JText::_($params->get('item_readon_label', 'Read more...'))?></a></td>
			 	</tr>
	 		<?php endif;?>
		</table>
		
		<div class="clr"></div>
		</div>
		<div class="b">
			<div class="b">
				<div class="b"></div>
			</div>
		</div>
	</div>
	<br>
<?php $k = 1 - $k; $key++; endfor;?>
