<?php
/*
*	Mighty Resources Template
*
*	Name: ' Media Blog '
*	Type: List Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$base = $this->baseurl."/components/com_resource/images/tmpl";
$space = $this->params->get("resSpace", "91px");
$date_width = $this->params->get("resDateWidth", "50px");
$date_height = $this->params->get("resDateHeight", "84px");
$date_align = $this->params->get("resDateAlign", "center");
$date_line_height = $this->params->get("resDateLineHeight", "1.3em");
$day_color = $this->params->get("resDayColor");
$day2_color = $this->params->get("resDay2Color");
$font = $this->params->get("resFont", "2.2em");
$show_day_of_week = $this->params->get("resShowDayOfWeek", "1");
$show_year = $this->params->get("resShowYear", "1");
$date_padding = $this->params->get("resDatePadding", "7px");

$document->addStyleDeclaration("
.ext-rel-layout {
position:relative; left:-$space; }
.ext-layout {
position:relative; left:$space; margin:15px 0 37px 0; padding:0; }
.ext-date {
position:absolute; z-index:1001 !important; width:50px; height:84px; line-height:$date_line_height; text-align:$date_align;
background:url('$base/date.gif') no-repeat 50% top; padding-top:$date_padding; }
.ext-date-padding {
padding-right:5px; }
.ext-object1 {
color:$day2_color; text-transform:uppercase; font-size:0.8em; font-weight:bold; margin-bottom:2px; }
.ext-object2 {
color:$day_color; font-size:$font; font-weight:bold; font-family:Arial,Trebuchet MS,Tahoma; }
.ext-object3 {
color:$day_color; text-transform:lowercase; font-size:0.8em; font-weight:bold; }
.ext-object4 {
color:$day2_color; font-size:1em; margin-top:-2px; }
.ext-header {
margin-bottom:10px; }
.ext-iconarea {
float:right; width:auto; }
.ext-icon {
float:left; width:auto; margin-left:2px; }
.ext-iconedit {
float:left; width:55px !important; margin-left:2px; }
.ext-iconedit a {
float:left; width:auto; }
.ext-rating {
width:100%; }
.ext-fav {
padding-left:17px; }
"); $key = 0;
foreach ($this->items as $key => $item) {
	$item = @$this->items[$key];
	$params = new JParameter(@$item->params); ?>
	<div class="ext-rel-layout">
		<div class="ext-date">
			<?php if ($date_align == 'right'): ?>
			<div class="ext-date-padding">
			<?php endif; ?>
				<?php if ($show_day_of_week): ?>
					<div class="ext-object1">
						<?php echo $item->ctime->toFormat('%a'); ?>
					</div>
				<?php endif; ?>
				<div class="ext-object2">
					<?php echo $item->ctime->toFormat('%d'); ?>
				</div>
				<div class="ext-object3">
					<?php echo $item->ctime->toFormat('%b'); ?>
				</div>
				<?php if ($show_year): ?>
					<div class="ext-object4">
						<?php echo "'".$item->ctime->toFormat('%y'); ?>
					</div>
				<?php endif; ?>
				<?php if ($params->get('favorite') && $this->user->get('id')) echo '<div class="ext-fav">'.$item->favorite.'</div>'; ?>
				<?php if($params->get('item_compare')):?>
			 		<?php echo $item->compare;?>
		 		<?php endif;?>
			<?php if ($date_align == 'right'): ?>
			</div>
			<?php endif; ?>
		</div>
		<div class="ext-layout">
			<div class="ext-iconarea">
				<?php if ($item->edit): ?>
					<div class="ext-iconedit buttonheading">
						<?php echo $item->edit; ?>
					</div>
				<?php endif; ?>
				<?php if (@$item->pdf): ?>
					<div class="ext-icon buttonheading">
						<?php echo $item->pdf; ?>
					</div>
				<?php endif; ?>
				<?php if (@$item->print): ?>
					<div class="ext-icon buttonheading">
						<?php echo $item->print; ?>
					</div>
				<?php endif; ?>
				<?php if (@$item->send): ?>
					<div class="ext-icon buttonheading">
						<?php echo $item->send; ?>
					</div>
				<?php endif; ?>
			</div>
			<div class="ext-header">
				<?php if($params->get('item_title')):?>
				<h2 class="contentheading" style="display: inline;"> 
					<?php echo $item->ntitle; ?>
				</h2>
				<?php endif;?>
			</div>
			<?php if ($params->get('rating')): ?>
				<div class="ext-rating">
					<?php echo $item->rating; ?>
				</div>
				<div style="clear:both;"></div>
			<?php endif; ?>
			<div class="ext-array">
				<?php $tab = array(); ?>
				<?php if($params->get('item_hits')): ?>
					<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if($params->get('comments')): ?>
					<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if($params->get('favorite')): ?>
					<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if($params->get('rating')): ?>
					<?php $tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
				<?php endif; ?>
				<?php if(is_array($tab)) echo implode(' <span class="small"> | </span> ', $tab); ?>
			</div>
			<div class="clr"></div>
			<?php if($params->get('item_categories')):?>
			 	<span><b><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></b>: (<?php echo implode(" | ", $item->categories);?>)</span><br />
	 		<?php endif;?>
	 		<?php if($item->user_category):?>
			 	<span><b><?php echo JText::_('User Category') ?></b> (<?php echo $item->user_category;?>)</span><br />
	 		<?php endif;?>
			<table class="contentpaneopen" width="100%" cellpadding="0" cellspacing="0" border="0">
				<?php $tab_close = false; ?> 
				<?php foreach ($item->fields AS $field): ?>	
					<?php $fparam = new JParameter($field->params);
					if (!$fparam->get('tabled'))
					{
						if (!$tab_close) echo "</table>";
						$tab_close = true;
					}
					else 
					{
						if ($tab_close) echo '<table class="contentpaneopen" width="100%" cellpadding="0" cellspacing="0" border="0">';
						$tab_close = false;
					}
					echo $this->mmodel->getFieldValue($field, $item->user_id);
					?>
				<?php endforeach; ?>
			<?php if(!$tab_close) echo "</table>"; ?>
			<?php if($params->get('item_tag') && $item->tags): ?>
				<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
			<?php endif; ?>
			<?php if($params->get('item_readon')): ?>
				<br />
				<a href="<?php echo $item->link; ?>" class="readon">
					<?php echo JText::_($params->get('item_readon_label', 'Read more...')); ?>
				</a>
			<?php endif; ?>
		</div>
	</div>
<?php $key++; } ?>