<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<br>
<?php $key = 0;?>
<?php $width = round(100 / $this->params->get('blog_cols', 2));?>
<table width="100%" cellpadding="5" cellspacing="8" border="0" summary="Blog">
<?php for ($c=0; $c<ceil(count($this->items) / $this->params->get('blog_cols', 2)); $c++) :?>
	<tr valign="top">
		<?php for ($i=0; $i< $this->params->get('blog_cols', 2); $i++) :?>
			<?php
				$item = @$this->items[$key];
				$params = new JParameter(@$item->params);
			?>
			<?php if($c < $this->params->get('leading', 1)):?>
				<td colspan="<?php echo $this->params->get('blog_cols', 2);?>">
		    <?php else:?>
		    	<td width="<?php echo $width; ?>%" class="article_column">
		    <?php endif;?>
		    <?php if(!$item) {echo '</td>'; continue;}?>
	
	<div id="rounded0">
	
	<div class="t">
		<div class="t">
			<div class="t"></div>
		</div>
	</div>
	
		<div class="m" style="height:100%">	
		    
		<table class="contentpaneopen" width="100%" border="0">
		 	<tr valign="top">
		 		<?php if($params->get('favorite') && $this->user->get('id')):?>
		 		<td class="buttonheading"><?php echo $item->favorite;?></td>
		 		<?php endif;?>
		 		<?php if($params->get('item_compare')):?>
			 		<td><?php echo $item->compare;?></td>
		 		<?php endif;?>
		 		<td width="100%" >
		 		<?php if($item->edit)echo $item->edit?>
				
		 		<a name="flag<?php echo $item->id?>"></a>
		 		<?php if($params->get('item_title')):?>
		 		<h2 class="contentheading" style="display: inline;"> 
		 			<?php echo $item->ntitle; ?>
	 			</h2>
	 			<?php endif;?>
	 			</td>
		 		<?php if(@$item->pdf):?>
		 		<td class="buttonheading"><?php echo $item->pdf;?></td>
		 		<?php endif;?>
		 		<?php if(@$item->send):?>
		 		<td class="buttonheading"><?php echo $item->send;?></td>
		 		<?php endif;?>
		 		<?php if(@$item->print):?>
		 		<td class="buttonheading"><?php echo $item->print;?></td>
		 		<?php endif;?>
		 	</tr>
		</table>
		
		<table class="contentpaneopen" width="100%" border="0">
	 		<tr valign="top">
	 			<?php if($item->avatar): ?>
	 			<td rowspan="<?php echo ($params->get('rating') + ($params->get('comments') | $params->get('item_hits') ) + $params->get('item_author') + $params->get('item_ctime'));?>">
	 				<?php echo $item->avatar;?>
	 			</td>
	 			<?php endif;?>
	 			<td>
	 				<table width="100%">
	 				<?php if($params->get('rating')):?>
					 	<tr>
					 		<td><?php echo $item->rating."<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?></td>
					 	</tr>
		 			<?php endif;?>
		 			<?php $tab = array();?>
			 		<?php if($params->get('item_hits')):?>
				 		<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
			 		<?php endif;?>
			 		<?php if($params->get('comments')):?>
				 		<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
			 		<?php endif;?>
			 		<?php if($params->get('favorite')): ?>
						<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
					<?php endif; ?>
			 		<?php if(is_array($tab)) echo '<tr><td>'.implode(' <span style="color:#f0f0f0"> | </span> ', $tab).'</td></tr>';?>
		 			<?php if($item->user_category):?>
						 <tr>
					 		<td><?php echo JText::_('User Category') ?>: <?php echo $item->user_category;?></td>
					 	</tr> 
			 		<?php endif;?>
					<?php if($params->get('item_categories')):?>
					 	<tr>
					 		<td><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?>: <?php echo implode(" | ", $item->categories);?></td>
					 	</tr> 
			 		<?php endif;?>
		 			<?php if($params->get('item_author') && $item->user):?>
					 	<tr>
					 		<td><span class="small"><?php echo JText::_('Written by')?>: <?php echo $item->user;?></span></td>
					 	</tr>
			 		<?php endif;?>
			 		<?php if($params->get('item_ctime')):?>
					 	<tr>
					 		<td class="createdate"><?php echo $item->ctime->toFormat($params->get('item_time_format'));?></td>
					 	</tr>
			 		<?php endif;?>
			 		</table>
	 			</td>
	 		</tr>	
	 	</table>
	 	
	 	<table class="contentpaneopen" width="100%">
			<?php $tab_close = false;?> 
			<?php foreach($item->fields AS $field):?>		 		
				<?php 
				$fparam = new JParameter($field->params);
				if(!$fparam->get('tabled'))
				{
					if(!$tab_close) echo "</table>";
					$tab_close = true;
				}
				else 
				{
					if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
					$tab_close = false;
				}
				echo $this->mmodel->getFieldValue($field, $item->user_id);
				?>
			<?php endforeach;?>
		<?php if(!$tab_close) echo "</table>"; ?>
		
		<table class="contentpaneopen" width="100%">
			<?php if($params->get('item_tag') && $item->tags):?>
			 	<tr>
			 		<td>
			 			<?php echo JText::_('Tags')?>: <?php echo $item->tags; ?>
			 		</td>
			 	</tr>
	 		<?php endif;?>
	 		<?php if($params->get('item_mtime') && $item->mtime):?>
			 	<tr>
			 		<td class="modifydate"><?php echo JText::_('Last Update')?> (<?php echo $item->mtime->toFormat($params->get('item_time_format'));?>)</td>
			 	</tr>
	 		<?php endif;?>
	 		<?php if($params->get('item_readon')):?>
			 	<tr>
			 		<td><a href="<?php echo $item->link;?>" class="readon"><?php  echo JText::_($params->get('item_readon_label', 'Read more...'))?></a></td>
			 	</tr>
	 		<?php endif;?>
		 </table>
		 <div class="clr"></div>
		</div>
		
	<div class="b">
		<div class="b">
			<div class="b"></div>
		</div>
	</div>
	
	</div>
	
	
		 <span class="article_separator">&nbsp;</span>
		 
		    
		    	</td>
		    <?php $key++; if($c < $this->params->get('leading')) break; ?>
	    <?php endfor;?>
	</tr>
	<?php if(($this->params->get('leading') + $this->params->get('blog_intro')) <= $key) break;?>
<?php endfor;?>
</table>

<?php
if(@$this->items[$key])
{
	echo JText::_('More...');
	echo '<ul>';
	for($li = 0; $li < $this->params->get('blog_links'); $li++)
	{
		if(!@$this->items[$key]) break;
		$item = $this->items[$key];
		?>
		<li><a name="flag<?php echo $item->id?>"></a>
		<a href="<?php echo $item->link;?>"><?php echo $item->title?></a></li>
		<?php
		$key++;
	}
	echo '</ul>';
}
?>
