<?php
/*
*	Mighty Resources Template
*
*	Name: ' Silver '
*	Type: List Template
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();

$css = "
.jsc_deftext	{	padding:0 0 0.2em 0.3em;	}
.jsc_stars	{	font-size:90%;	}
#jsc_left-side	{	clear:left; float:left; width:100%; text-align:left;	}
#jsc_right-side	{	clear:left; float:left; width:100%; text-align:left;	}
.jsc_tags	{	font-size:90%; padding-top:1em;	}
.jsc_border	{	border-top:1px solid #cccccc; margin-top:14px; padding-top:0.7em;	}
.jsc_clr	{	clear:both;	}
.jsc_headingedit .contentheading	{	height:auto; padding:0;	}
";
$document->addStyleDeclaration($css); ?>
<br />
<?php $key = 0; $k = 0; ?>
<?php for ($c=0; $c<count($this->items); $c++) :?>
	<?php
	$item = @$this->items[$key];
	$params = new JParameter(@$item->params);
	?>
	<div id="rounded<?php echo $k;?>">
		<div class="t">
			<div class="t">
				<div class="t"></div>
			</div>
		</div>
		<div class="m">
			<div class="jsc_headingedit">
				<table class="contentpaneopen" width="100%" border="0">
				 	<tr valign="top">
				 		<?php if($params->get('favorite') && $this->user->get('id')):?>
				 		<td class="buttonheading"><?php echo $item->favorite;?></td>
				 		<?php endif;?>
				 		<?php if($params->get('item_compare')):?>
					 		<td><?php echo $item->compare;?></td>
				 		<?php endif;?>
				 		<td width="100%">
				 		<a name="flag<?php echo $item->id?>"></a>
				 		<?php if($params->get('item_title')):?>
				 		<h2 class="contentheading" style="display: inline;"> 
				 			<?php echo $item->ntitle; ?>
			 			</h2>
			 			<?php endif;?>
			 			</td>
						<?php if($item->edit):?>
						<td class="buttonheading"><?php echo $item->edit;?></td>
						<?php endif;?>
				 		<?php if(@$item->pdf):?>
				 		<td class="buttonheading"><?php echo $item->pdf;?></td>
				 		<?php endif;?>
				 		<?php if(@$item->send):?>
				 		<td class="buttonheading"><?php echo $item->send;?></td>
				 		<?php endif;?>
				 		<?php if(@$item->print):?>
				 		<td class="buttonheading"><?php echo $item->print;?></td>
				 		<?php endif;?>
				 	</tr>
				</table>
			</div> <!-- jsc_headingedit -->

			<table class="contentpaneopen" width="100%" border="0">
			<?php $tab_close = false;?> 
				<?php foreach($item->fields AS $field):?>
					<?php
					$fparam = new JParameter($field->params);
					if(!$fparam->get('tabled'))
					{
						if(!$tab_close) echo "</table>";
						$tab_close = true;
					}
					else 
					{
						if($tab_close) echo '<table class="contentpaneopen" style="clear:both" width="100%">';
						$tab_close = false;
					}
					echo '<div class="jsc_deftext">', $this->mmodel->getFieldValue($field, $item->user_id), '</div>';
					?>
				<?php endforeach;?>
				<div class="jsc_clr"></div>
				<?php if($params->get('item_readon')):?>
				 	<tr>
				 		<td>
							<div style="float:left; margin-left:0.4em">
								<a href="<?php echo $item->link;?>" class="readon">
								<?php  echo JText::_($params->get('item_readon_label', 'Read more...'))?></a>
							</div>
							<div class="jsc_clr"></div>
						</td>
				 	</tr>
				<?php endif;?>
			<?php if(!$tab_close) echo "</table>"; ?>
			
			<div class="jsc_clr"></div>
			<table width="100%" class="jsc_border">
			<tr valign="top">
				<td width="50%">
					<table width="100%">
					<?php if($item->avatar): ?>
						<tr>
							<td><?php echo $item->avatar;?></td>
						</tr>
					<?php endif;?>
					<?php if($params->get('item_author') && $item->user):?>
						<tr>
							<td><span class="small"><?php echo JText::_('Written by')?> <?php echo $item->user;?></span></td>
						</tr>
					<?php endif;?>
					</table>
				</td>
				<td>
					<table width="100%" style="margin-top:1em">
						<?php if($params->get('rating')):?>
							<span class="jsc_stars"><?php echo $item->rating; ?></span>
						<?php endif;?>
						
						<?php $tab = array();?>
						<?php if($params->get('rating')):?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Votes')." (".($item->votes ? $item->votes : 0).")</span>"; ?>
						<?php endif;?>
						<?php if($params->get('item_hits')):?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Hits')." (".($item->hits ? $item->hits : 0).")</span>"; ?>
						<?php endif;?>
						<?php if($params->get('comments')):?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Comments')." (".($item->comments ? $item->comments : 0).")</span>"; ?>
						<?php endif;?>
						<?php if($params->get('favorite')): ?>
							<?php $tab[] = "<span class=\"small\">".JText::_('Favorited')." (".($item->favorite_num ? $item->favorite_num : 0).")</span>"; ?>
						<?php endif; ?>
						<?php if(is_array($tab)):?>
							<?php echo '<div class="jsc_clr">&nbsp;', implode(' <span style="color:#f0f0f0"> | </span> ', $tab), '</div>';?>
						<?php endif;?>
						<?php if($item->user_category):?>
						 	<tr>
						 		<td><?php echo JText::_('User Category') ?>:</td>
						 		<td><?php echo $item->user_category;?></td>
						 	</tr> 
				 		<?php endif;?>
						<?php if($params->get('item_categories')):?>
						 	<tr>
						 		<td><?php echo (count($item->categories) > 1 ? JText::_('Categories') : JText::_('Category')) ?></td>
						 		<td><?php echo implode(" | ", $item->categories);?></td>
						 	</tr> 
				 		<?php endif;?>
						<?php if($params->get('item_ctime')):?>
							<tr class="createdate" valign="top">
								<td width="25%"><?php echo JText::_('Created');?>: </td>
								<td><?php echo $item->ctime->toFormat($params->get('item_time_format'));?></td>
							</tr>
						<?php endif;?>
						<?php if($params->get('item_mtime') && $item->mtime):?>
							<tr class="modifydate" valign="top">
								<td><?php echo JText::_('Last Updated');?>: </td>
								<td><?php echo $item->mtime->toFormat($params->get('item_time_format'));?></td>
							</tr>
						<?php endif;?>
						<?php if($params->get('item_tag') && $item->tags):?>
							<tr valign="top">
								<td class="jsc_tags"><?php echo JText::_('Tags')?>: </td>
								<td class="jsc_tags"><?php echo $item->tags;?></td>
							</tr>
						<?php endif;?>
					</table>
			</tr>
			</table>
			
		<div class="clr"></div>
		</div>
		<div class="b">
			<div class="b">
				<div class="b"></div>
			</div>
		</div>
	</div>
	<br />
<?php $key++; endfor;?>

<?php
if(@$this->items[$key])
{
	echo JText::_('More...');
	echo '<ul>';
	for($li = 0; $li < $this->params->get('blog_links'); $li++)
	{
		if(!@$this->items[$key]) break;
		$item = $this->items[$key];
		?>
		<li><a name="flag<?php echo $item->id?>"></a>
		<a href="<?php echo $item->link;?>"><?php echo $item->title?></a></li>
		<?php
		$key++;
	}
	echo '</ul>';
}
?>
